(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    139104,       3199]
NotebookOptionsPosition[     59176,       1667]
NotebookOutlinePosition[    117089,       2847]
CellTagsIndexPosition[    117009,       2842]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"ede37e06-61ad-4275-a96e-bf71243a0e5b"],

Cell["Building Maintainable Dynamic Interfaces", "Title",ExpressionUUID->"ce2763ed-2b4a-475f-99e2-f5f8a2297077"],

Cell["Lou D\[CloseCurlyQuote]Andria, Wolfram Research, Inc.", "Subtitle",ExpressionUUID->"4c3e2f85-09cf-4c3f-8e9b-a1b42052e613"],

Cell[TextData[{
 Cell[BoxData[
  GraphicsBox[{InsetBox[
     GraphicsBox[{},
      ContentSelectable->True,
      ImageSize->{480, 360},
      PlotRange->{{0, 480/360}, {0, 1}}], Scaled[{0, 0}], Center, 
     Scaled[{0.5, 0.5}]], InsetBox[
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztW7uO20YUXSQpUuoTmD9QmZIG0qQTHKSfNWIbaRzBDhCkY+HCQGBrbe9m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        "], {{0, 68}, {65, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSizeRaw->{65, 68},
      PlotRange->{{0, 65}, {0, 68}}], 
     Scaled[{0.49333580155497714, 0.5717682253254397}], 
     Center, {1.1979558513699555, 0.9210339753942228}, {{1., 0.}, {0., 1.}}]},
   
   AspectRatio->1.0295620437956206`,
   ContentSelectable->True,
   ImageMargins->0.,
   ImagePadding->{{0., 0.}, {0., 0.}},
   ImageSize->{74., 77.5},
   PlotRange->{{0., 1.3333333333333335`}, {0., 1.}},
   PlotRangePadding->Automatic]],ExpressionUUID->
  "3101661c-99c4-4dab-b11f-c841a021e855"],
 StyleBox[" ",
  FontColor->RGBColor[
   0.5019607843137255, 0.5019607843137255, 0.5019607843137255]],
 StyleBox["Join the Conversation ",
  FontColor->RGBColor[
   0.9019607843137255, 0.9019607843137255, 0.9019607843137255]],
 "#WolframTechConf"
}], "Text",
 CellFrame->{{0, 0}, {0, 1}},
 ShowCellBracket->Automatic,
 CellMargins->{{80, 80}, {100, 165}},
 CellFrameMargins->{{0, 0}, {0, 50}},
 CellFrameColor->RGBColor[0.886275, 0.364706, 0.427451],
 CellChangeTimes->{{3.6216253798451433`*^9, 3.621625396205482*^9}, 
   3.6216255185076437`*^9, {3.621625573653562*^9, 3.6216256020928392`*^9}, {
   3.621625635821653*^9, 3.621625645324601*^9}, {3.621625678952072*^9, 
   3.62162572395792*^9}, {3.621625867660451*^9, 3.62162588677988*^9}, {
   3.621625982321312*^9, 3.621625984476396*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontColor->GrayLevel[
  1],ExpressionUUID->"ffae2c46-c36c-4bfd-a626-26976f98ec7d"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"8de02979-31f7-4cf9-b6d0-0daa6ee7805e"],

Cell[CellGroupData[{

Cell["What this talk is about", "Section",ExpressionUUID->"54373818-2c81-4d2c-aade-39023210cac5"],

Cell["\<\
In this talk, we\[CloseCurlyQuote]ll illustrate particularly useful \
techniques for developing Dynamic interfaces, which have been used when \
building functions like Manipulate, IntervalSlider, Audio, and many others. \
We\[CloseCurlyQuote]ll look specifically at issues related to versioning, \
compatibility and serialization.\
\>", "Text",ExpressionUUID->"0806dc38-dafd-4cf3-a8aa-13f0763e059f"],

Cell["\<\
Note that this is a language-heavy talk. Put on your coding hat.\
\>", "Text",ExpressionUUID->"f08c040b-5d70-464e-aa65-54739a0c0f3d"],

Cell["\<\
You can and should go get this talk notebook, right now, from the conference \
web site.\
\>", "Text",ExpressionUUID->"1de81b0b-405a-4aed-827b-f26798e8034e"],

Cell[CellGroupData[{

Cell["Prerequisites", "Subsubsection",ExpressionUUID->"ad769e62-f995-40fe-8dc4-ffbaca568c20"],

Cell["\<\
Consider this a 300-level course in Wolfram Language-generated interfaces.\
\>", "Text",ExpressionUUID->"d756d767-cbab-475f-a93d-95f689b2f90e"],

Cell["\<\
If you\[CloseCurlyQuote]re looking for other courses, including 100- and \
200-level courses, please see previous talks, available on wolfram.com and \
elsewhere.\
\>", "Text",ExpressionUUID->"bad341f1-1950-4f24-9e0d-c110e69a6276"],

Cell[CellGroupData[{

Cell[TextData[{
 "100: Introduction to Dynamic: ",
 ButtonBox["tutorial/IntroductionToDynamic",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/IntroductionToDynamic"]
}], "Item",ExpressionUUID->"1dad7cec-1560-4c21-a5a0-34411690ac8e"],

Cell[TextData[{
 "150: Manipulate Secrets Revealed (2014): ",
 ButtonBox["https://www.youtube.com/watch?v=umE6bBZpVHk",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.youtube.com/watch?v=umE6bBZpVHk"], None},
  ButtonNote->"https://www.youtube.com/watch?v=umE6bBZpVHk"]
}], "Item",ExpressionUUID->"ea7ed56a-1e9f-40ed-83dc-cecb349cb489"],

Cell[TextData[{
 "220: Principles of Dynamic interfaces (2015): ",
 ButtonBox["https://www.youtube.com/watch?v=6uDSRIYzsUw",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.youtube.com/watch?v=6uDSRIYzsUw"], None},
  ButtonNote->"https://www.youtube.com/watch?v=6uDSRIYzsUw"]
}], "Item",ExpressionUUID->"39732095-2c2a-49b9-8590-568d109958e5"],

Cell[TextData[{
 "250: Wormholes & Other Dynamic Curiosities (2013): ",
 ButtonBox["https://www.youtube.com/watch?v=t-aTDlrq62o",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.youtube.com/watch?v=t-aTDlrq62o"], None},
  ButtonNote->"https://www.youtube.com/watch?v=t-aTDlrq62o"]
}], "Item",ExpressionUUID->"baceb415-e76e-488b-b39c-15e45494294a"],

Cell[TextData[{
 "301: Advanced Dynamic Tutorial: ",
 ButtonBox["tutorial/AdvancedDynamicFunctionality",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/AdvancedDynamicFunctionality"]
}], "Item",ExpressionUUID->"639cb177-cfcd-49bc-b481-30a49e987dfa"],

Cell[TextData[{
 "100-400: Wolfram Demonstrations Project: ",
 ButtonBox["http://demonstrations.wolfram.com",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com"], None},
  ButtonNote->"http://demonstrations.wolfram.com"]
}], "Item",ExpressionUUID->"bc5c4d1c-b73f-4a3b-8046-227bfef2c272"]
}, Open  ]],

Cell["\<\
A solid grounding in typesetting and an awareness of the box language is also \
fairly important.\
\>", "Text",ExpressionUUID->"36a4448a-b3e9-4b38-992c-dd422084d1bb"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"7cbde92f-6824-40ae-bdc7-98488a2c992a"],

Cell[CellGroupData[{

Cell["The Principle of Programmatic Generation", "Section",ExpressionUUID->"29de9da5-c670-4e26-b190-08e23b636df4"],

Cell["Every interface should be generated by a program.", "Text",ExpressionUUID->"bfd6b925-b97a-4255-8e41-f7a2100bd4f0"],

Cell[CellGroupData[{

Cell["Pre-generated", "Subsubsection",ExpressionUUID->"8e193065-07d4-471d-8833-2b4f0643f50b"],

Cell["\<\
Welcome Screen
About box
Preferences
Help Viewer toolbar
Slideshow toolbar
Cloud Open / Save dialogs
Headers and footers dialog
Palettes
lots more\[Ellipsis]\
\>", "Text",ExpressionUUID->"ef4911d5-227b-4ea5-8c39-78c411321c5e"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Generated on demand", "Subsubsection",ExpressionUUID->"29ff9a69-ce4a-4b91-9687-d1e3244b1bb7"],

Cell["\<\
Manipulate
IntervalSlider
SystemInformation
Predictive Interface
Audio
ImageCapture
WolframAlpha
FormObject
and more\[Ellipsis]\
\>", "Text",ExpressionUUID->"7f845730-096b-4b11-a875-0d2445629dbb"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"60280515-6fbc-4c3d-941e-4f057a625c1e"],

Cell[CellGroupData[{

Cell["Motivating Example", "Section",ExpressionUUID->"b1aab8bf-c613-4ccf-bad1-5bcf664490c7"],

Cell[CellGroupData[{

Cell["The route not taken", "Subsubsection",ExpressionUUID->"08085c61-b529-4f5d-a1e7-fd2824adbf46"],

Cell["\<\
Manipulate is built entirely in top level code, from so-called \
\[OpenCurlyDoubleQuote]box generators\[CloseCurlyDoubleQuote].\
\>", "Text",ExpressionUUID->"0fd09de6-235d-42cd-a777-c43df09c268a"],

Cell[BoxData[
 RowBox[{"Column", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Slider", "[", 
     RowBox[{"Dynamic", "[", "x", "]"}], "]"}], ",", 
    RowBox[{"Dynamic", "[", "x", "]"}]}], "}"}], "]"}]], "Input",ExpressionUUI\
D->"298cb6b1-397c-4920-b078-f4f20a237c2a"],

Cell["\<\
Adding features makes the resulting box expression larger and larger.\
\>", "Text",ExpressionUUID->"7c310239-d3fa-46e1-bed4-bcab59af2b0a"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", "0"}], "}"}], ",", 
   RowBox[{"Panel", "[", 
    RowBox[{
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Grid", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"\"\<x\>\"", ",", 
              RowBox[{"Manipulator", "[", 
               RowBox[{"Dynamic", "[", "x", "]"}], "]"}]}], "}"}], "}"}], ",", 
           RowBox[{
           "BaseStyle", " ", "\[Rule]", " ", "\"\<Manipulator\>\""}]}], "]"}],
          ",", 
         RowBox[{"Item", "[", 
          RowBox[{
           RowBox[{"Pane", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "x", "]"}], ",", 
             RowBox[{"ImageMargins", " ", "\[Rule]", " ", "8"}]}], "]"}], ",", 
           RowBox[{"Frame", " ", "\[Rule]", " ", "True"}], ",", 
           RowBox[{"FrameStyle", " ", "\[Rule]", " ", "LightGray"}], ",", 
           RowBox[{"Background", " ", "\[Rule]", " ", "White"}]}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"Spacings", " ", "\[Rule]", " ", "1"}]}], "]"}], ",", 
     RowBox[{"DefaultBaseStyle", " ", "\[Rule]", " ", 
      RowBox[{"{", "}"}]}]}], "]"}], ",", 
   RowBox[{"BaseStyle", "->", "\"\<Manipulate\>\""}]}], "]"}]], "Input",Expres\
sionUUID->"99e22b2a-dba6-478f-aba5-db6d63ebe2f0"],

Cell["\<\
If we went this route, by the time we get to Manipulate in its entirety, we \
would wind up with a huge pile of boxes being saved into notebook files for \
each such output.\
\>", "Text",ExpressionUUID->"32da6fed-a4ef-4b8e-a15a-cc8d3ab4256a"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   RowBox[{"notManipulate", "[", 
    RowBox[{"x", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}],
   Manipulate[$CellContext`x, {$CellContext`x, 0, 1}, 
    Method -> {"TemplateExpand" -> True}]], "//", "ToBoxes"}]], "Input",Expres\
sionUUID->"0a08d088-1f79-4528-a172-2324430ba9a4"]
}, Closed]],

Cell[CellGroupData[{

Cell["Consequences avoided", "Subsubsection",ExpressionUUID->"d689a881-cf86-4e75-b1ad-f8ca039105ba"],

Cell[CellGroupData[{

Cell["File size bloat", "Item",ExpressionUUID->"34fb8ee8-f59c-4bd0-9041-41e7b64ddc39"],

Cell["Graphic design lock in", "Item",ExpressionUUID->"ebb7e0a2-612c-4807-b4ee-935bfe8c01b5"],

Cell["\<\
existing outputs wouldn't take advantage of layout changes, branding changes, \
\[Ellipsis]\
\>", "Subitem",ExpressionUUID->"f1735bd1-8397-49cd-99f6-78b2c6f35477"],

Cell["Implementation lock in", "Item",ExpressionUUID->"22eac965-5395-4af6-ab7a-6f37a1d69613"],

Cell[CellGroupData[{

Cell["\<\
existing outputs wouldn't take advantage of bug fixes, new technologies, \
\[Ellipsis]\
\>", "Subitem",ExpressionUUID->"5a2ee70e-025f-4e4a-bce1-d4df609ecaf3"],

Cell["\<\
new outputs that do take advantage of new technologies would cause all manner \
of trouble in older front ends\
\>", "Subitem",ExpressionUUID->"0dd7552e-e248-4351-8689-c35e0b3d1d93"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"69b74a39-2ffc-4c48-b32c-cef35577692f"],

Cell[CellGroupData[{

Cell["We can do better", "Section",ExpressionUUID->"9ab72d0b-5976-4bc6-aabc-effc619b1668"],

Cell[CellGroupData[{

Cell["Goals", "Subsubsection",ExpressionUUID->"a9a7a78d-8afa-481f-9272-5f42fbe51921"],

Cell[CellGroupData[{

Cell["\<\
Only store what's necessary to display the interface, at render time\
\>", "Item",ExpressionUUID->"c326e477-24ad-43d5-a0f0-554af19b2c50"],

Cell["\<\
Graphic design should be responsive to changes in options, environment, \
platform, errors, \[Ellipsis]\
\>", "Item",ExpressionUUID->"845cf702-a3be-4d2f-9744-f2799549943b"],

Cell["\<\
Older outputs should work in all future versions of your rendering engine\
\>", "Item",ExpressionUUID->"4b0f6f4a-4bcc-4ef0-ae90-a5048c995fa3"],

Cell["\<\
Newer outputs should fail gracefully in older versions of your rendering \
engine\
\>", "Item",ExpressionUUID->"84dfedd6-e4ad-4d3d-9d34-a4d26a70698c"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"044de6d4-720b-4b08-8e51-4de6f0758577"],

Cell[CellGroupData[{

Cell["Examples", "Section",ExpressionUUID->"661da46e-0425-4b41-b397-2c2377ee571b"],

Cell[CellGroupData[{

Cell["Manipulate", "Subsubsection",ExpressionUUID->"36706da1-d86f-4ee8-a565-2d44b1ff955e"],

Cell["What are the boxes we wound up storing for Manipulate?", "Text",ExpressionUUID->"2c8c11b1-87e6-434a-a232-35b17ff210aa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{"x", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}], "//", 
  "ToBoxes"}]], "Input",ExpressionUUID->"96d13438-2c96-41fa-8695-\
24a53cb00a4c"],

Cell["\<\
Manipulate stores the state of the interface when it is saved:\
\>", "Text",ExpressionUUID->"1e6f473c-4d15-44df-b697-17d6036e8659"],

Cell[BoxData[Cell[BoxData[
  FrameBox[
   RowBox[{"DynamicModuleBox", "[", 
    RowBox[{
     RowBox[{"{", 
      StyleBox["state",
       FontSlant->"Italic"], "}"}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"DynamicBox", "[", 
      StyleBox[
       RowBox[{"buildTheInterface", "[", "\[Ellipsis]", "]"}],
       FontSlant->"Italic"], "]"}]}], "\[IndentingNewLine]", "]"}],
   FrameMargins->10,
   FrameStyle->GrayLevel[0.5],
   RoundingRadius->5]],ExpressionUUID->
  "e87d88e3-f0d7-4eb1-ac97-f39d43dd770e"]], "Text", "StandardForm",
 TextAlignment->Center,ExpressionUUID->"6044969f-a8dd-4448-b0a9-3def9754a31c"]
}, Closed]],

Cell[CellGroupData[{

Cell["IntervalSlider", "Subsubsection",ExpressionUUID->"8038bf48-dc4b-42c1-b823-103fa4edb2e5"],

Cell["\<\
IntervalSlider is built entirely in WL code, leveraging our graphics language \
for the display and LocatorPane for aspects of the control.\
\>", "Text",ExpressionUUID->"f776493a-c71c-4f51-a2ed-b0fc6f4ad5cd"],

Cell[BoxData[
 RowBox[{"IntervalSlider", "[", 
  RowBox[{"Dynamic", "[", "int", "]"}], "]"}]], "Input",ExpressionUUID->\
"90a9b13b-10dd-4ec2-af70-1e8a997ae33d"],

Cell["But you wouldn\[CloseCurlyQuote]t know it by looking at the boxes.", \
"Text",ExpressionUUID->"18a7db5b-4506-4d68-a6f4-53de4b11d62c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"IntervalSlider", "[", 
    RowBox[{"Dynamic", "[", "int", "]"}], "]"}], "//", "ToBoxes"}], "//", 
  "InputForm"}]], "Input",ExpressionUUID->"9b110e9a-fff1-4301-a814-\
3add511f07b7"],

Cell["\<\
IntervalSlider has no state, other than the value of the user\
\[CloseCurlyQuote]s variable:\
\>", "Text",ExpressionUUID->"b8185c32-71ad-4874-839c-9b0440cf02e5"],

Cell[BoxData[Cell[BoxData[
  FrameBox[
   RowBox[{"DynamicBox", "[", 
    StyleBox[
     RowBox[{"buildTheInterface", "[", "\[Ellipsis]", "]"}],
     FontSlant->"Italic"], "]"}],
   FrameMargins->10,
   FrameStyle->GrayLevel[0.5],
   RoundingRadius->5]],ExpressionUUID->
  "04eef937-4365-4d33-99ce-3b05f538b3b9"]], "Text", "StandardForm",
 TextAlignment->Center,ExpressionUUID->"7fb08afd-310b-4ac2-a4b3-3eec6b14d8ce"]
}, Closed]],

Cell[CellGroupData[{

Cell["Audio", "Subsubsection",ExpressionUUID->"0d2098fc-b131-497c-b4fd-c398b5029569"],

Cell["\<\
This technique is how a two-minute piece of audio has a box representation \
which is simple and small:\
\>", "Text",ExpressionUUID->"d02b5ed5-a1f4-41c5-ae5f-60348f936b44"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Audio", "[", "\"\<http://exampledata.wolfram.com/bach.mp3\>\"", 
  "]"}]], "Input",ExpressionUUID->"47250a3d-df99-4d96-9026-2c4832a3be20"],

Cell[BoxData[
 TagBox[
  DynamicModuleBox[{Audio`AudioObjects`audio$$ = HoldComplete[
    Audio[
    "http://exampledata.wolfram.com/bach.mp3", "Real32", Appearance -> 
     Automatic, AudioOutputDevice -> Automatic, SampleRate -> 44100, 
     SoundVolume -> 1]], Audio`AudioObjects`audioID$$, 
   Audio`AudioObjects`buttonState$$ = "Basic", Audio`AudioObjects`newAudio$$}, 
   DynamicBox[ToBoxes[
     Audio`AudioGUI[
     2, Audio`AudioObjects`audioID$$, Audio`AudioObjects`buttonState$$, 
      Audio`AudioObjects`audio$$], StandardForm],
    ImageSizeCache->{136., {40., 46.}},
    TrackedSymbols:>{}],
   Deinitialization:>(Clear[Audio`AudioObjects`newAudio$$]; 
    Audio`ClearRef[Audio`AudioObjects`audioID$$]),
   DynamicModuleValues:>{},
   Initialization:>({
     Audio`AudioObjects`newAudio$$, Audio`AudioObjects`audioID$$} = 
    Audio`CheckID[
     Audio`AudioObjects`audio$$, Audio`AudioObjects`audioID$$, 
      Audio`AudioObjects`newAudio$$]),
   UnsavedVariables:>{
    Audio`AudioObjects`audioID$$, Audio`AudioObjects`newAudio$$}],
  Audio`AudioBox["AudioClass" -> "Internet"],
  Editable->False,
  Selectable->False]], "Output",ExpressionUUID->"5e48b16b-b6a1-4b57-aeae-\
f0cfb3a60567"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
   "Audio", "[", "\"\<http://exampledata.wolfram.com/bach.mp3\>\"", "]"}], "//",
    "ToBoxes"}], "//", "InputForm"}]], "Input",ExpressionUUID->"7494f874-d62a-\
465b-928d-84438cd2a834"],

Cell["\<\
TagBox[DynamicModuleBox[{Audio`AudioObjects`audio$$ = 
    HoldComplete[Audio[
      \"http://exampledata.wolfram.com/bach.mp3\", \"Real32\", 
      Appearance -> Automatic, AudioOutputDevice -> 
       Automatic, SampleRate -> 44100, SoundVolume -> 1]], 
   Audio`AudioObjects`audioID$$ = 
    \"4244e979-68ab-44b6-9a17-24bab5385351\", 
   Audio`AudioObjects`buttonState$$ = \"Basic\", 
   Audio`AudioObjects`newAudio$$}, 
  DynamicBox[ToBoxes[Audio`AudioGUI[2, 
     Audio`AudioObjects`audioID$$, 
     Audio`AudioObjects`buttonState$$, 
     Audio`AudioObjects`audio$$], StandardForm], 
   TrackedSymbols :> {}], Initialization :> 
   ({Audio`AudioObjects`newAudio$$, 
     Audio`AudioObjects`audioID$$} = Audio`CheckID[
     Audio`AudioObjects`audio$$, 
     Audio`AudioObjects`audioID$$, 
     Audio`AudioObjects`newAudio$$]), 
  DynamicModuleValues :> {}, Deinitialization :> 
   (Clear[Audio`AudioObjects`newAudio$$]; 
    Audio`ClearRef[Audio`AudioObjects`audioID$$]), 
  UnsavedVariables :> {Audio`AudioObjects`audioID$$, 
    Audio`AudioObjects`newAudio$$}], 
 Audio`AudioBox[\"AudioClass\" -> \"Internet\"], 
 Selectable -> False, Editable -> False]\
\>", "Output",ExpressionUUID->"3f964f9d-b773-4f64-b390-7b814a82681a"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Bonus: And others", "Subsubsection",ExpressionUUID->"74eff1a5-0192-4009-a413-274dfb7d2ecc"],

Cell["\<\
This is how the exact same cell expression can look like this in M8:\
\>", "Text",ExpressionUUID->"1e53fbe9-7b76-4a67-a16e-12415b18288e"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztXc+LpdgVfkP+kvwDbrLtzV1nIWTTGyGhIW6yaAMDGRcNQYaBSxbBIQzS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    "], {{0, 51}, {178, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{178, 51},
  PlotRange->{{0, 178}, {0, 51}}]], "Input",
 ImageSize->{182, 51},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 
  1}},ExpressionUUID->"648e5eb9-2a95-4de7-8ad5-225d15a4a5a1"],

Cell["and like this in M10:", "Text",ExpressionUUID->"f9c89c9e-56d5-4fb5-9d19-f5f8fb52861d"],

Cell[BoxData[
 NamespaceBox["LinguisticAssistant",
  DynamicModuleBox[{Typeset`query$$ = "int sinx", Typeset`boxes$$ = 
   RowBox[{"Integrate", "[", 
     RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], ",", " ", "x"}], "]"}], 
   Typeset`allassumptions$$ = {}, Typeset`assumptions$$ = {}, 
   Typeset`open$$ = {1, 2}, Typeset`querystate$$ = {
   "Online" -> True, "Allowed" -> True, "mparse.jsp" -> 
    0.88487`6.398424464838198, "Messages" -> {}}}, 
   DynamicBox[ToBoxes[
     AlphaIntegration`LinguisticAssistantBoxes["", 4, Automatic, 
      Dynamic[Typeset`query$$], 
      Dynamic[Typeset`boxes$$], 
      Dynamic[Typeset`allassumptions$$], 
      Dynamic[Typeset`assumptions$$], 
      Dynamic[Typeset`open$$], 
      Dynamic[Typeset`querystate$$]], StandardForm],
    ImageSizeCache->{299., {11., 25.}},
    TrackedSymbols:>{
     Typeset`query$$, Typeset`boxes$$, Typeset`allassumptions$$, 
      Typeset`assumptions$$, Typeset`open$$, Typeset`querystate$$}],
   DynamicModuleValues:>{},
   UndoTrackedVariables:>{Typeset`open$$}],
  BaseStyle->{"Deploy"},
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True]], "Input",ExpressionUUID->"b65ee584-8aa0-452d-\
81dd-767dd0148335"],

Cell[BoxData[
 RowBox[{
  RowBox[{"WolframAlpha", "[", 
   RowBox[{"\"\<int sinx\>\"", ",", "\"\<LinguisticAssistant\>\""}], "]"}], "//",
   "InputForm"}]], "Input",ExpressionUUID->"fec48110-6dc0-40fc-b5cb-\
c04d2cc21a27"],

Cell["DynamicGeoGraphics:", "Text",ExpressionUUID->"4b577ed6-04a5-46b1-aacd-2bee63f276d8"],

Cell[BoxData[
 RowBox[{"DynamicGeoGraphics", "[", 
  RowBox[{"GeoRange", "\[Rule]", 
   RowBox[{"Quantity", "[", 
    RowBox[{"1", ",", "\"\<Miles\>\""}], "]"}]}], "]"}]], "Input",ExpressionUU\
ID->"2bbc3f98-f8fe-4eeb-8bea-7f3e60477a80"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DynamicGeoGraphics", "[", 
    RowBox[{"GeoRange", "\[Rule]", 
     RowBox[{"Quantity", "[", 
      RowBox[{"1", ",", "\"\<Miles\>\""}], "]"}]}], "]"}], "//", "ToBoxes"}], 
  "//", "InputForm"}]], "Input",ExpressionUUID->"56dadf3d-a6f4-4b8b-b83f-\
ec9e2e3d48b7"],

Cell["This technique even predates TemplateBox.", "Text",ExpressionUUID->"6ed13040-8f77-4393-8ec9-2a65821da92d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Binomial", "[", 
   RowBox[{"n", ",", "m"}], "]"}], "//", "TraditionalForm"}]], "Input",Express\
ionUUID->"c5c277af-14cc-4c0a-84ce-29f42488ad1e"],

Cell["\<\
Message cells use a combination of TemplateBox and delayed interface \
construction.\
\>", "Text",ExpressionUUID->"b2ceac25-7e25-408b-8dff-8b1707cae28d"],

Cell[BoxData[
 RowBox[{"1", "/", "0"}]], "Input",ExpressionUUID->"d5bfafb8-b47f-4092-a74b-3c5aeb1f20fe"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"2a93327e-d307-4a45-87b3-fc984f49f672"],

Cell[CellGroupData[{

Cell["Standard Techniques: Overview", "Section",ExpressionUUID->"e8003dce-dfd7-40ad-aae3-39de75a90139"],

Cell[TextData[{
 StyleBox["Standard structure",
  FontWeight->"Bold"],
 ":"
}], "Text",ExpressionUUID->"14ac824b-6002-4211-b589-e347a5f864ca"],

Cell[BoxData[Cell[BoxData[
  FrameBox[
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      StyleBox["state",
       FontSlant->"Italic"], "}"}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"Dynamic", "[", 
      StyleBox[
       RowBox[{"buildTheInterface", "[", "\[Ellipsis]", "]"}],
       FontSlant->"Italic"], "]"}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"Initialization", " ", "\[RuleDelayed]", " ", 
      StyleBox["setupCode",
       FontSlant->"Italic"]}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"Deinitialization", " ", "\[RuleDelayed]", " ", 
      StyleBox["teardownCode",
       FontSlant->"Italic"]}]}], 
    StyleBox["\[IndentingNewLine]",
     FontSlant->"Italic"], "]"}],
   FrameMargins->10,
   FrameStyle->GrayLevel[0.5],
   RoundingRadius->5]],ExpressionUUID->
  "f3cdedd9-0596-4f67-9102-959bb7734f97"]], "Text", "StandardForm",
 TextAlignment->Center,ExpressionUUID->"130177b5-d800-45f8-9abb-863db00edccd"],

Cell[TextData[{
 StyleBox["Storing state",
  FontWeight->"Bold"],
 ":\nAny user interactions that affect the state of the interface should \
result in changes to DynamicModuleBox variable values."
}], "Text",ExpressionUUID->"c153b42f-c1d6-441f-9483-256a5986930b"],

Cell[TextData[{
 StyleBox["Interface details",
  FontWeight->"Bold"],
 ":\nSecond argument to DynamicModuleBox is essentially just a dynamic call \
to a function that builds the interface at render time. Details of the \
interface are not burned into the notebook."
}], "Text",ExpressionUUID->"0c0d1a70-7939-41f4-864d-7b53b9ce8fdd"],

Cell[TextData[{
 StyleBox["Surrounding structure",
  FontWeight->"Bold"],
 ":\nCustom interpretation for the interface can be handled via TagBox / \
InterpretationBox"
}], "Text",ExpressionUUID->"aac3c480-5082-421f-9087-2f9eb5f593fd"],

Cell[TextData[{
 StyleBox["Implementation techniques",
  FontWeight->"Bold"],
 ":\nLoading your code.\nPassing variables by reference instead of by value.\n\
Function is implemented in its own context to avoid variable naming \
conflicts.\nResponsive to the changes in the user\[CloseCurlyQuote]s \
settings, environment, etc.\nCommunicates with the outside world as needed.\n\
Detecting when the kernel quits.\nSwitching to a fall-through display if the \
user\[CloseCurlyQuote]s system or kernel is insufficient in some way.\n\
Support for custom error states."
}], "Text",ExpressionUUID->"fafb77a4-6d02-45e3-9f84-a1451593fb08"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"d254220c-db72-4f03-8aa3-aa7c3ca8dd51"],

Cell[CellGroupData[{

Cell["Holding attributes", "Section",ExpressionUUID->"ea952437-6f21-4d11-ac82-a4ba1dca2c20"],

Cell[CellGroupData[{

Cell["Example", "Subsubsection",ExpressionUUID->"4d942c47-216f-4de6-98a5-bd2e0332a8fd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MyInterface", "[", 
   RowBox[{"Dynamic", "[", "var_", "]"}], "]"}], " ", ":=", " ", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", "=", "0"}], "}"}], ",", 
    RowBox[{"Dynamic", "[", 
     RowBox[{"display", "[", 
      RowBox[{"a", ",", "var"}], "]"}], "]"}]}], "]"}]}]], "Input",ExpressionU\
UID->"e0f7946c-0926-4645-88e0-cb42c6d369b2"],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "display", "]"}], "\n", 
 RowBox[{
  RowBox[{"display", "[", 
   RowBox[{"a_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"LabeledSlider", "[", 
     RowBox[{"Dynamic", "[", "a", "]"}], "]"}], ",", 
    RowBox[{"LabeledSlider", "[", 
     RowBox[{"Dynamic", "[", "var", "]"}], "]"}]}], "}"}]}]}], "Input",Express\
ionUUID->"f72aeb0d-1375-45b2-ab1b-d9114f903748"],

Cell[BoxData[
 RowBox[{"MyInterface", "[", 
  RowBox[{"Dynamic", "[", "x", "]"}], "]"}]], "Input",ExpressionUUID->\
"06914caf-c122-4be6-9c82-86d3f02192d1"],

Cell["\<\
Unfortunately, this interface doesn\[CloseCurlyQuote]t work as written, \
because the variables were passed by value.\
\>", "Text",ExpressionUUID->"776c3dff-1306-47db-9ce5-46902d928220"]
}, Closed]],

Cell[CellGroupData[{

Cell["Passing variables by reference", "Subsubsection",ExpressionUUID->"b2f4d965-9b56-441d-9bdf-344565508a06"],

Cell["\<\
Use holding attributes to prevent variables from evaluating too soon.\
\>", "Text",ExpressionUUID->"4d7e38f0-c97d-4e70-8ba2-c1b594660a57"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetAttributes", "[", 
   RowBox[{"display", ",", "HoldAll"}], "]"}], ";"}]], "Input",ExpressionUUID-\
>"bf3c8a02-bb0a-4ba2-a12e-80617abb4762"],

Cell[BoxData[
 RowBox[{"MyInterface", "[", 
  RowBox[{"Dynamic", "[", "x", "]"}], "]"}]], "Input",ExpressionUUID->\
"88aa8d24-b5a3-4032-8e62-574aa632b1b4"]
}, Closed]],

Cell[CellGroupData[{

Cell["Bonus: Another holding idiom", "Subsubsection",ExpressionUUID->"8182e07e-191d-4036-b6e4-30cc3c58cf51"],

Cell["\<\
Instead of using holding attributes manually, we can use the same approach \
used by Slider, Checkbox, and all other control syntax: Rely on the holding \
attributes of Dynamic.\
\>", "Text",ExpressionUUID->"d4df7d25-ebda-45d2-b5a1-7337891bd680"],

Cell[BoxData[
 RowBox[{
  RowBox[{"display2", "[", 
   RowBox[{
    RowBox[{"Dynamic", "[", "a_", "]"}], ",", 
    RowBox[{"Dynamic", "[", "var_", "]"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"LabeledSlider", "[", 
     RowBox[{"Dynamic", "[", "a", "]"}], "]"}], ",", 
    RowBox[{"LabeledSlider", "[", 
     RowBox[{"Dynamic", "[", "var", "]"}], "]"}]}], "}"}]}]], "Input",Expressi\
onUUID->"1ba6ce4f-ca94-4f9b-9bc9-2318fd7f05f8"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "a", "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"display2", "[", 
     RowBox[{
      RowBox[{"Dynamic", "[", "a", "]"}], ",", 
      RowBox[{"Dynamic", "[", "x", "]"}]}], "]"}], "]"}]}], "]"}]], "Input",Ex\
pressionUUID->"12a77fab-f00b-48a2-a26f-9bd3afc18003"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"86f13c3d-5c11-4b05-8b26-b2cb2b840937"],

Cell[CellGroupData[{

Cell["Utility versioning", "Section",ExpressionUUID->"868e144c-cb1e-49d3-a106-8576f14db38c"],

Cell["\<\
With this model, interfaces can be updated even after \
they\[CloseCurlyQuote]re created, by carefully managing the arguments to the \
utility that builds your interface.\
\>", "Text",ExpressionUUID->"27773ed7-ad62-4879-9d91-9f67fffc724b"],

Cell[CellGroupData[{

Cell["Starting point", "Subsubsection",ExpressionUUID->"5272f2c5-2263-4863-a651-87a4d9d09972"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetAttributes", "[", 
   RowBox[{"utility", ",", "HoldAll"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"utility", "[", 
   RowBox[{"1", ",", "a_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"LabeledSlider", "[", 
     RowBox[{"Dynamic", "[", "a", "]"}], "]"}], ",", 
    RowBox[{"LabeledSlider", "[", 
     RowBox[{"Dynamic", "[", "var", "]"}], "]"}]}], "}"}]}]}], "Input",Express\
ionUUID->"5089adae-8009-4ace-8197-46a301458274"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", "=", "0"}], "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"utility", "[", 
     RowBox[{"1", ",", "a", ",", "var"}], "]"}], "]"}]}], "]"}]], "Input",Expr\
essionUUID->"52836ea4-9ef9-4235-bb2c-b3a7bf52845c"]
}, Closed]],

Cell[CellGroupData[{

Cell["Forward compatibility", "Subsubsection",ExpressionUUID->"20467d9f-aaae-4920-8654-c8472a864e57"],

Cell["\<\
We can support old outputs -- those which use utility[1, a, var] -- forever, \
while taking advantages of new boxes and bug fixes along the way.\
\>", "Text",ExpressionUUID->"ca0e7546-cb34-4770-bb79-6d30e2180d4b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"utility", "[", 
   RowBox[{"1", ",", "a_", ",", "var_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"LabeledSlider", "[", 
       RowBox[{"Dynamic", "[", "a", "]"}], "]"}], ",", 
      RowBox[{"LabeledSlider", "[", 
       RowBox[{"Dynamic", "[", "var", "]"}], "]"}]}], "}"}], "//", "Column"}],
    "//", "Panel"}]}]], "Input",ExpressionUUID->"2d3019ca-6c36-412b-9b15-\
0431a51e1fba"],

Cell["\<\
Or if there are fundamentally new features, bump the version number, or \
otherwise change the calling signature.\
\>", "Text",ExpressionUUID->"e6dbf620-e019-4f28-87ad-e40e20a4dc8d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"utility", "[", 
   RowBox[{"2", ",", "a_", ",", "b_", ",", "var_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Slider2D", "[", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}], "]"}], "]"}], ",", 
      RowBox[{"Manipulator", "[", 
       RowBox[{"Dynamic", "[", "var", "]"}], "]"}], ",", 
      RowBox[{"Dynamic", "[", 
       RowBox[{"{", 
        RowBox[{"a", ",", "b", ",", "var"}], "}"}], "]"}]}], "}"}], "//", 
    "Column"}], "//", "Panel"}]}]], "Input",ExpressionUUID->"cace2bc9-b35b-\
4ecf-8df0-4a3f01a23a87"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", "0"}], ",", " ", 
     RowBox[{"b", "=", "0"}]}], "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"utility", "[", 
     RowBox[{"2", ",", "a", ",", "b", ",", "var"}], "]"}], "]"}]}], 
  "]"}]], "Input",ExpressionUUID->"c7226ec6-2e84-4ac8-b905-503247035b71"]
}, Closed]],

Cell[CellGroupData[{

Cell["Backward compatibility", "Subsubsection",ExpressionUUID->"c1dd8149-74e2-44af-a3e5-5bd72bb516fb"],

Cell["\<\
New outputs can even avoid displaying a mass of pink boxes when used with \
older versions of your code.\
\>", "Text",ExpressionUUID->"a82c80ce-8591-4e71-870b-692c60b155ea"],

Cell[BoxData[
 RowBox[{
  RowBox[{"utility", "[", "___", "]"}], " ", ":=", " ", 
  RowBox[{
  "Framed", "[", "\"\<You'll need a newer version to display this.\>\"", 
   "]"}]}]], "Input",ExpressionUUID->"f775a699-356d-4b31-9412-8dee9b7cc775"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", " ", "b", ",", "c", ",", "d", ",", "e"}], "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"utility", "[", 
     RowBox[{
     "3", ",", "a", ",", "b", ",", " ", "c", ",", "d", ",", "e", ",", "var"}],
      "]"}], "]"}]}], "]"}]], "Input",ExpressionUUID->"56da0cc9-31a6-4026-\
8780-a2a19f04da6e"]
}, Closed]],

Cell[CellGroupData[{

Cell["Other examples", "Subsubsection",ExpressionUUID->"c42ec8c8-948d-4036-9f7b-9b5bc660f636"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1", ",", " ", 
     RowBox[{"ControlType", " ", "\[Rule]", " ", "FutureControl"}]}], "}"}]}],
   "]"}]], "Input",
 Evaluatable->False,ExpressionUUID->"480d65bc-ea9a-4be6-be92-06882be78231"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], 0, 1}}, Typeset`size$$ = {10., {1., 11.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$6696$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     77, StandardForm, "Variables" :> {$CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$6696$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, 0, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{717., {23., 30.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",ExpressionUUID->"85723223-a199-\
4951-b1fe-7274e396ae11"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IntervalSlider", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", "int", "]"}], ",", 
   RowBox[{"FutureOption", " ", "\[Rule]", " ", "FutureValue"}]}], 
  "]"}]], "Input",
 Evaluatable->False,ExpressionUUID->"81b15eb0-4f8f-4f04-93f0-88c632e18ef6"],

Cell[BoxData[
 InterpretationBox[
  DynamicBox[ToBoxes[
    NotebookTools`CustomSliderDisplay[77, "IntervalSlider", 
     Dynamic[$CellContext`int], {0, 1}, {Appearance -> "Generic"}], 
    StandardForm],
   ImageSizeCache->{707., {13.370361328125, 22.629638671875}},
   TrackedSymbols:>{}],
  IntervalSlider[
   Dynamic[$CellContext`int], {0, 1}],
  BaseStyle->"Deploy"]], "Print",ExpressionUUID->"2b431d7e-d5b4-45f2-a553-\
af3653ca082a"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"e352c28a-924e-470b-a97a-9740cfdbbbe4"],

Cell[CellGroupData[{

Cell["Other compatibility issues", "Section",ExpressionUUID->"4ecce344-a40d-402b-b4ca-1c0d3a41341a"],

Cell["\<\
Layout details can change over time, or platform (Windows vs Mac, Desktop vs \
Cloud, \[Ellipsis]), or user preference, or even things like handedness.\
\>", "Text",ExpressionUUID->"53cfbc8b-c4a5-4394-ad9e-c35ec984721e"],

Cell["Example: DefaultControlPlacement", "Text",ExpressionUUID->"55c749e1-3bde-4173-9e43-86239c0164d7"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CurrentValue", "[", 
    RowBox[{"$FrontEnd", ",", "DefaultControlPlacement"}], "]"}], "=", 
   "Bottom"}], ";"}]], "Input",ExpressionUUID->"5056c41e-3a28-4627-8d24-\
65fdf46f3e5f"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",ExpressionUUID\
->"0d4ec204-6dce-4fdc-a43b-283aa9fcee21"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CurrentValue", "[", 
    RowBox[{"$FrontEnd", ",", "DefaultControlPlacement"}], "]"}], "=", 
   "Inherited"}], ";"}]], "Input",ExpressionUUID->"381f7235-bf37-44ea-9bc5-\
c12777356b02"],

Cell["You almost always get this for free, just by using Dynamic!", "Text",ExpressionUUID->"2c62661d-2221-4b08-a1c8-88aa7ed7ec6b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"0d299ef5-4cba-4e49-995c-3b9580527288"],

Cell[CellGroupData[{

Cell["Loading your code", "Section",ExpressionUUID->"115f4c13-6adb-4d66-badc-144fb9606575"],

Cell["Your interface can react when your code is not yet loaded.", "Text",ExpressionUUID->"1fa1f9f5-aac8-4fa4-9078-50564f1a4c4d"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", "myCode`loaded", "]"}], ",", "\"\<-Ready-\>\"", 
      ",", 
      RowBox[{"Button", "[", 
       RowBox[{"\"\<Load my code!\>\"", ",", 
        RowBox[{"myCode`loaded", "=", "True"}]}], "]"}]}], "]"}], "]"}]}], 
  "]"}]], "Input",ExpressionUUID->"0865b0ca-affd-4360-bbd6-688464f67915"],

Cell[CellGroupData[{

Cell["Automatic loading", "Subsubsection",ExpressionUUID->"d5314537-4119-4e16-b16f-e81ed1712422"],

Cell["\<\
If you have autoload triggers attached to certain symbols (via \
DeclarePackage, Stub, etc), make sure that the utility which builds the \
interface is one of them.\
\>", "Text",ExpressionUUID->"9569f9dd-b663-456d-954e-fe8fd3ce364d"]
}, Closed]],

Cell[CellGroupData[{

Cell["Initialization", "Subsubsection",ExpressionUUID->"b8026d38-58e9-465f-8be4-70a416cc07d8"],

Cell["\<\
Use DynamicModule\[CloseCurlyQuote]s Initialization option to always make \
sure your code is loaded. This gives you much greater control than \
SaveDefinitions.\
\>", "Text",ExpressionUUID->"6a7656f4-88eb-4d70-afaa-3bd33b77e142"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "initdone", "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", "initdone", "]"}], ",", "\"\<-Ready-\>\"", ",", 
      "\"\<Not Ready\[Ellipsis]\>\""}], "]"}], "]"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"loadYourCode", "[", "]"}], ";", 
      RowBox[{"Pause", "[", "1", "]"}], ";", 
      RowBox[{"initdone", "=", "True"}]}], ")"}]}], ",", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}], ",", 
   RowBox[{"UnsavedVariables", "\[RuleDelayed]", 
    RowBox[{"{", "initdone", "}"}]}]}], "]"}]], "Input",ExpressionUUID->\
"863fd1f1-21ce-4ab6-83da-7695a85bbcd1"]
}, Closed]],

Cell[CellGroupData[{

Cell["Please wait\[Ellipsis]", "Subsubsection",ExpressionUUID->"87d276e1-f081-4278-a273-bc0a2a22215d"],

Cell["You can get arbitrarily clever in the \[OpenCurlyDoubleQuote]not ready\
\[CloseCurlyDoubleQuote] display.", "Text",ExpressionUUID->"c2e799e8-f02f-\
4a3f-a676-756129ce7211"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "initdone", "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", "initdone", "]"}], ",", "\"\<-Ready-\>\"", ",", 
      RowBox[{"Panel", "[", 
       RowBox[{"Column", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ProgressIndicator", "[", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Percolate\>\""}], "]"}], 
           ",", "\"\<Loading\>\""}], "}"}], ",", "Center"}], "]"}], "]"}]}], 
     "]"}], "]"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"loadYourCode", "[", "]"}], ";", 
      RowBox[{"Pause", "[", "3", "]"}], ";", 
      RowBox[{"initdone", "=", "True"}]}], ")"}]}], ",", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}], ",", 
   RowBox[{"UnsavedVariables", "\[RuleDelayed]", 
    RowBox[{"{", "initdone", "}"}]}]}], "]"}]], "Input",ExpressionUUID->\
"ea0bc69a-0465-45d2-9847-6580b18b0bab"],

Cell["\<\
This is how Manipulate\[CloseCurlyQuote]s SynchronousInitialization option \
works, for instance:\
\>", "Text",ExpressionUUID->"9dad40a2-422d-4aa5-8a37-0368923dd4f8"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Pause", "[", "2", "]"}], ";", 
      RowBox[{"x", "=", "0.5"}]}], ")"}]}], ",", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}]}], 
  "]"}]], "Input",ExpressionUUID->"29a61ded-65dc-4fbf-b65c-08a29ed2bc7b"]
}, Closed]],

Cell[CellGroupData[{

Cell["Responsible initialization", "Subsubsection",ExpressionUUID->"8955d2bd-31a8-4126-b911-5823df9bffb2"],

Cell["\<\
When deciding what to put into an Initialization, and Dynamic for that \
matter, think carefully about what should happen when there are multiple \
copies of this interface on screen at the same time. They should make sure \
not to interfere with one another: use Needs, don't reset global variables, \
etc.\
\>", "Text",ExpressionUUID->"291622ca-55d1-43af-80a0-b5236b4a045d"]
}, Closed]],

Cell[CellGroupData[{

Cell["Bonus: More info about wait indicators", "Subsubsection",ExpressionUUID->"9ec8b25e-2107-4444-a29f-69c3d7d88511"],

Cell[TextData[{
 "See extensive discussion in \[OpenCurlyDoubleQuote]The Principle of \
Evaluation Blocking\[CloseCurlyDoubleQuote] ",
 ButtonBox["here",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://youtu.be/6uDSRIYzsUw?t=28m35s"], None},
  ButtonNote->"https://youtu.be/6uDSRIYzsUw?t=28m35s"],
 "."
}], "Text",ExpressionUUID->"db556f72-b516-4e44-b57c-56710629bdc7"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"4cf2df01-261c-4fa0-853e-3f195b89353c"],

Cell[CellGroupData[{

Cell["Advanced: Syncing local state and global state", "Section",ExpressionUUID->"3e4c30b8-f880-4403-930c-b2b9972d8362"],

Cell["\<\
Keep local utility variables in sync with the state of global user variables.\
\
\>", "Text",ExpressionUUID->"c4935fa3-4dd2-4d00-beb2-5826ed20141f"],

Cell["\<\
This technique is used in the internal implementation of IntervalSlider.\
\>", "Text",ExpressionUUID->"8670c890-7366-4fac-ad42-9cf077288efa"],

Cell[CellGroupData[{

Cell["Local \[LongRightArrow] Global", "Subsubsection",ExpressionUUID->"082e6e23-1ba4-48f0-9056-42e8ccfde90f"],

Cell["\<\
Pushing state out of an interface is easy: Use Dynamic\[CloseCurlyQuote]s \
second argument.\
\>", "Text",ExpressionUUID->"dbf75a45-8627-447a-b3ab-4b60c17dd2dc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"global", " ", "=", " ", "1"}], ";", " ", 
  RowBox[{"LabeledSlider", "[", 
   RowBox[{
    RowBox[{"Dynamic", "[", "global", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0.5", ",", "1"}], "}"}]}], "]"}]}]], "Input",ExpressionUUID->\
"81ef5d92-85f8-4322-a3ac-c4db5010358c"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"local", "=", 
     RowBox[{"1", "/", "global"}]}], "}"}], ",", 
   RowBox[{"LabeledSlider", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{"local", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"local", "=", "#"}], ";", 
          RowBox[{"global", "=", 
           RowBox[{"1", "/", "local"}]}]}], ")"}], "&"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}]], "Input",ExpressionUUI\
D->"2a743e33-72fb-4e1f-95ea-3547d60b98d3"]
}, Closed]],

Cell[CellGroupData[{

Cell["Local \[LongLeftRightArrow] Global", "Subsubsection",ExpressionUUID->"47c6f206-55a7-460e-8456-7d8f481a9249"],

Cell["\<\
Tracking global state in an interface is only slightly more work: Use \
DynamicWrapper.\
\>", "Text",ExpressionUUID->"b8ac747b-9f06-4d97-a1af-cfdb76859b27"],

Cell[BoxData[
 RowBox[{
  RowBox[{"global", " ", "=", " ", "1"}], ";", " ", 
  RowBox[{"LabeledSlider", "[", 
   RowBox[{
    RowBox[{"Dynamic", "[", "global", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0.5", ",", "1"}], "}"}]}], "]"}]}]], "Input",ExpressionUUID->\
"174a215d-b2b2-428b-aabe-6ae9df9db691"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"local", "=", 
     RowBox[{"1", "/", "global"}]}], "}"}], ",", 
   RowBox[{"DynamicWrapper", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"LabeledSlider", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{"local", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"local", "=", "#"}], ";", 
            RowBox[{"global", "=", 
             RowBox[{"1", "/", "local"}]}]}], ")"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
     RowBox[{"local", "=", 
      RowBox[{"1", "/", "global"}]}]}], "]"}]}], "]"}]], "Input",ExpressionUUI\
D->"bd917b4b-e635-4d40-89c2-4fda2f945615"]
}, Closed]],

Cell[CellGroupData[{

Cell["Local \[LongLeftRightArrow] Global \[LongLeftRightArrow] \[Ellipsis]", \
"Subsubsection",ExpressionUUID->"3af11ee0-5ca8-4c78-b9bc-87e26e734c86"],

Cell["\<\
Of course, once global state changes, anything that depends on that global \
state will also change.\
\>", "Text",ExpressionUUID->"2abcc7a7-4f62-4d30-9614-68684af70b7e"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"local2", "=", 
     RowBox[{"1", "/", "global"}]}], "}"}], ",", 
   RowBox[{"DynamicWrapper", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"LabeledSlider", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{"local2", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"local2", "=", "#"}], ";", 
            RowBox[{"global", "=", 
             RowBox[{"1", "/", "local2"}]}]}], ")"}], "&"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
     RowBox[{"local2", "=", 
      RowBox[{"1", "/", "global"}]}]}], "]"}]}], "]"}]], "Input",ExpressionUUI\
D->"6df2ac53-d26d-4243-8b68-3796d50c9b39"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"270c2f30-2134-4a8e-8803-1a0c95f0eb60"],

Cell[CellGroupData[{

Cell["Advanced: Detecting kernel restarts", "Section",ExpressionUUID->"55b3890d-858c-406f-a7b4-48c86ec728be"],

Cell[CellGroupData[{

Cell["Bonus", "Subsection",ExpressionUUID->"01ab590a-c07a-4809-9acd-d5e2e55d4280"],

Cell["Used by message formatting features in version 11.", "Text",ExpressionUUID->"2f3a41e7-40e3-40be-9d46-63023de292da"],

Cell[CellGroupData[{

Cell["Kernel session-dependent features", "Subsubsection",ExpressionUUID->"79ca5be0-acd0-459b-8148-008b5a03f60b"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"sessionid", "=", "$SessionID"}], "}"}], ",", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"sessionid", "===", "$SessionID"}], ",", "\"\<OK\>\"", ",", 
      RowBox[{"Row", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<Not OK\[Ellipsis]\>\"", ",", " ", 
         RowBox[{"Button", "[", 
          RowBox[{"\"\<Refresh\>\"", ",", 
           RowBox[{"sessionid", "=", "$SessionID"}]}], "]"}]}], "}"}], 
       "]"}]}], "]"}], "]"}]}], "]"}]], "Input",ExpressionUUID->"18f5c7cc-\
8c80-456b-b30e-ba51456cb0fe"],

Cell[BoxData["Quit"], "Input",ExpressionUUID->"c7bdc3e7-cb3b-4040-b12b-17bf34f91a05"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"614d6a9e-bbdf-42b8-b8c0-4274932a2f5d"],

Cell[CellGroupData[{

Cell["Advanced: Realities of debugging", "Section",ExpressionUUID->"e283b24c-449d-4781-9a62-da246693b652"],

Cell[CellGroupData[{

Cell["Bonus", "Subsection",ExpressionUUID->"ebd04dd7-1369-4458-befd-c20d946db429"],

Cell["\<\
Sometimes, it is very important to be able to see the actual boxes being \
rendered, not just the abbreviated boxes which were burned into notebook \
files.\
\>", "Text",ExpressionUUID->"3a288a58-7f76-456f-9973-a5c2bc282aa2"],

Cell[CellGroupData[{

Cell["Getting rid of all Dynamics", "Subsubsection",ExpressionUUID->"fe1cc26d-d743-45a8-95e4-77a2a6e49c6e"],

Cell["Evaluation menu > Convert Dynamic to Literal", "Text",ExpressionUUID->"7f683045-640c-4cf8-815e-99de717d3d62"],

Cell["The Setting function is also useful here.", "Text",ExpressionUUID->"e0d1a635-cef6-48a1-a961-7120527f423a"],

Cell[BoxData[
 RowBox[{"?", "Setting"}]], "Input",ExpressionUUID->"15f57201-530d-4c56-9c1b-8f038419f30b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Getting rid of a single Dynamic", "Subsubsection",ExpressionUUID->"e8bbe975-b5d9-4eae-a770-8ef90d533bfd"],

Cell["\<\
If you want to see what a particular DynamicBox turns into, use the \
DynamicBox option DestroyAfterEvaluation -> True.\
\>", "Text",ExpressionUUID->"cb894ee9-98e3-4c79-961e-8a52fa0ea5ac"],

Cell["For instance, evaluate this:", "Text",ExpressionUUID->"23a546a8-d1f1-4887-ad8d-4449df21ce3e"],

Cell[BoxData[
 RowBox[{"IntervalSlider", "[", 
  RowBox[{"Dynamic", "[", "int", "]"}], "]"}]], "Input",ExpressionUUID->\
"73f52664-2b6a-4389-a9fb-2f766008dc7b"],

Cell["\<\
select the output cell, choose Show Expression from the Cell menu, and add \
that option setting to the options of the DynamicBox. If you toggle Show \
Expression off and then back on, you will see the expanded boxes.\
\>", "Text",ExpressionUUID->"eeea6036-ecb2-4a39-b15f-8a41abc38670"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Manipulate usage", "Subsubsection",ExpressionUUID->"35bef7f0-9c20-4df5-9060-08272470c090"],

Cell["\<\
Viewing the actual boxes for Manipulate was so important, there\
\[CloseCurlyQuote]s a Method option for toggling the behavior.\
\>", "Text",ExpressionUUID->"a7ace624-325c-46d3-a5c0-1c1f64b86e3b"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",ExpressionUUID\
->"0e878d23-8fdf-45fc-9be6-07b920843550"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Method", " ", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"\"\<TemplateExpand\>\"", " ", "\[Rule]", " ", "True"}], 
     "}"}]}]}], "]"}]], "Input",ExpressionUUID->"58e5fc8f-a3aa-44fb-9050-\
5e9264ef9336"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"cc9beec7-ffe6-4034-9c00-3a7e644b321f"],

Cell[CellGroupData[{

Cell["Conclusion", "Section",ExpressionUUID->"fa1853d8-fdc4-4601-affb-6287cd1df0b2"],

Cell[CellGroupData[{

Cell["Simplify what gets written to notebook files", "Item",ExpressionUUID->"f98ff401-0204-4007-a7dd-744a9a7e3466"],

Cell["Store any necessary state with DynamicModule", "Item",ExpressionUUID->"7e5aabf8-2302-4534-be65-2c6a555380e8"],

Cell["Create the interface from Dynamic kernel code at render time", "Item",ExpressionUUID->"88e23558-f6f6-4861-982c-a799bd027664"],

Cell["Respond to environment changes", "Item",ExpressionUUID->"2ed62d7d-d75d-4e87-9e56-e02c2f0a6607"],

Cell["Support forward and backward compatibility", "Item",ExpressionUUID->"13a0025b-1f47-481c-b686-a796cd6f19d0"],

Cell["Consider multiple, simultaneous interfaces", "Item",ExpressionUUID->"b3b702b8-2595-4720-82ff-a5dd0798197a"],

Cell["\<\
Ensure a good experience for your past, present, and future users\
\>", "Item",ExpressionUUID->"8871b1ba-b738-4e4b-90ea-9f3f9ce34588"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1305, 915},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ScrollingOptions->{"VerticalScrollRange"->Automatic},
TaggingRules->{"SlideShow" -> True},
LinebreakSemicolonWeighting->"Normal",
Magnification:>1.5 Inherited,
FrontEndVersion->"11.2 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
10, 2017)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"]], 
      Cell[
       StyleData[All, "Presentation"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "Condensed"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "SlideShow"]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Notebook Options Settings", "Section"], 
      Cell[
       StyleData["Notebook"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.739193, 0.750317, 0.747173]}]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], ShowCellBracket -> Automatic, ShowGroupOpener -> 
          False, CellMargins -> {{100, 100}, {14, 50}}, 
          CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> False, 
          CellFrameMargins -> {{20, 20}, {20, 20}}, DefaultNewInlineCellStyle -> 
          "None", InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LineSpacing -> {1, 0}, 
          LanguageCategory -> "NaturalLanguage", CounterIncrements -> "Title",
           CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontFamily -> 
          "Arial", FontSize -> 45, FontWeight -> "Bold", FontSlant -> "Plain",
           FontTracking -> "Plain", 
          FontVariations -> {
           "Outline" -> False, "Shadow" -> False, "StrikeThrough" -> False, 
            "Underline" -> False}, FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765], 
          Background -> None, FontVariations -> {"Masked" -> False}], 
         Cell[
          StyleData["Title", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{55, 3}, {14, 125}}, LineSpacing -> {1, 5}, 
          FontSize -> 48], 
         Cell[
          StyleData[
          "Title", "SlideShow", StyleDefinitions -> 
           StyleData["Title", "Presentation"]], 
          CellMargins -> {{100, 100}, {52, 105}}, FontColor -> GrayLevel[1]], 
         
         Cell[
          StyleData["Title", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 20}}, FontSize -> 24]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subtitle"], ShowCellBracket -> Automatic, 
          CellMargins -> {{0, 0}, {0, 5}}, 
          CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> False,
           DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "Subtitle", 
          CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Arial", 
          FontSize -> 27, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4], Background -> None], 
         Cell[
          StyleData["Subtitle", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{58, 0}, {0, 5}}, FontSize -> 36], 
         Cell[
          StyleData[
          "Subtitle", "SlideShow", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {0, 5}}, FontSize -> 27, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subtitle", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 5}}, FontSize -> 18, Background -> 
          GrayLevel[1]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubtitle", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {30, 5}}, FontSize -> 24, FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubtitle", "Presentation"], FontSize -> 24], 
         Cell[
          StyleData[
          "Subsubtitle", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubtitle"]], CellMargins -> {{0, 0}, {10, 5}}, 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subsubtitle", "Printout"], FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0.2, 0}}, 
          ShowGroupOpener -> False, CellMargins -> {{60, 50}, {7, 25}}, 
          FontSize -> 36, FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765]], 
         Cell[
          StyleData["Section", "Presentation"], 
          CellFrame -> {{0, 0}, {0.2, 0}}, 
          CellMargins -> {{58, 50}, {7, 35}}], 
         Cell[
          StyleData[
          "Section", "SlideShow", StyleDefinitions -> 
           StyleData["Section", "Presentation"]], 
          CellMargins -> {{58, 50}, {10, 35}}], 
         Cell[
          StyleData["Section", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {4, 22}}, FontSize -> 20]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellDingbat -> None, ShowGroupOpener -> 
          True, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsection", 
          CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
          "Helvetica", FontSize -> 24, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsection", "Presentation"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "SlideShow"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {8, 12}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 17}}, FontSize -> 16]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], CellDingbat -> None, ShowGroupOpener -> 
          True, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsubsection", FontFamily -> "Helvetica", 
          FontSize -> 20, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765]], 
         Cell[
          StyleData["Subsubsection", "Presentation"], ShowGroupOpener -> True,
           WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}], 
         Cell[
          StyleData[
          "Subsubsection", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubsection", "Presentation"]]], 
         Cell[
          StyleData["Subsubsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 22}}, FontSize -> 14]}, Closed]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Body Text", "Section"], 
      Cell[
       CellGroupData[{
         Cell["Standard", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{60, 10}, {7, 7}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, CounterIncrements -> "Text",
              FontFamily -> "Helvetica", FontSize -> 12], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{60, 50}, {10, 10}}, FontSize -> 17], 
            Cell[
             StyleData[
             "Text", "SlideShow", StyleDefinitions -> 
              StyleData["Text", "Presentation"]]], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
           Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Display", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Item", StyleDefinitions -> StyleData["Text"]], 
             CellDingbat -> 
             Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
             ShowGroupOpener -> False, CellMargins -> {{84, 10}, {7, 7}}, 
             ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
             CounterIncrements -> "Item"], 
            Cell[
             StyleData["Item", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "Item", "SlideShow", StyleDefinitions -> 
              StyleData["Item", "Presentation"]]], 
            Cell[
             StyleData["Item", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subitem", StyleDefinitions -> StyleData["Item"]], 
             CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
             CounterIncrements -> "Subitem"], 
            Cell[
             StyleData["Subitem", "Presentation"], 
             CellMargins -> {{146, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "Subitem", "SlideShow", StyleDefinitions -> 
              StyleData["Subitem", "Presentation"]]], 
            Cell[
             StyleData["Subitem", "Printout"], 
             CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemNumbered", StyleDefinitions -> StyleData["Text"]],
              CellDingbat -> Cell[
               TextData[{
                 CounterBox["ItemNumbered"], "."}]], ShowGroupOpener -> False,
              CellMargins -> {{84, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
             CounterIncrements -> "ItemNumbered"], 
            Cell[
             StyleData["ItemNumbered", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "ItemNumbered", "SlideShow", StyleDefinitions -> 
              StyleData["ItemNumbered", "Presentation"]]], 
            Cell[
             StyleData["ItemNumbered", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "SubitemNumbered", StyleDefinitions -> 
              StyleData["ItemNumbered"]], CellDingbat -> Cell[
               TextData[{
                 CounterBox["SubitemNumbered", CounterFunction :> (Part[
                    CharacterRange["a", "z"], #]& )], "."}]], 
             CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
             CounterIncrements -> "SubitemNumbered"], 
            Cell[
             StyleData["SubitemNumbered", "Presentation"], 
             CellMargins -> {{146, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "SubitemNumbered", "SlideShow", StyleDefinitions -> 
              StyleData["SubitemNumbered", "Presentation"]]], 
            Cell[
             StyleData["SubitemNumbered", "Printout"], 
             CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "ItemParagraph", StyleDefinitions -> StyleData["Item"]], 
             CellDingbat -> None, CellMargins -> {{84, 10}, {7, 7}}, 
             ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
             CounterIncrements -> "ItemParagraph"], 
            Cell[
             StyleData["ItemParagraph", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "ItemParagraph", "SlideShow", StyleDefinitions -> 
              StyleData["ItemParagraph", "Presentation"]]], 
            Cell[
             StyleData["ItemParagraph", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "SubitemParagraph", StyleDefinitions -> StyleData["Subitem"]], 
             CellDingbat -> None, ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
             CounterIncrements -> "SubitemParagraph"], 
            Cell[
             StyleData["SubitemParagraph", "Presentation"]], 
            Cell[
             StyleData[
             "SubitemParagraph", "SlideShow", StyleDefinitions -> 
              StyleData["SubitemParagraph", "Presentation"]]], 
            Cell[
             StyleData["SubitemParagraph", "Printout"]]}, Closed]]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Formulas and Programming", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"]], 
         Cell[
          StyleData["DisplayFormula", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormula", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormula", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, FontSize -> 
          10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}]]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered"], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormulaNumbered", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormulaNumbered", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Inline Formatting", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InlineFormula"]], 
         Cell[
          StyleData["InlineFormula", "Presentation"], FontSize -> 17], 
         Cell[
          StyleData[
          "InlineFormula", "SlideShow", StyleDefinitions -> 
           StyleData["InlineFormula", "Presentation"]]], 
         Cell[
          StyleData["InlineFormula", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {5, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
          DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", FontWeight -> "DemiBold"], 
         Cell[
          StyleData["Input", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Input", "SlideShow", StyleDefinitions -> 
           StyleData["Input", "Presentation"]]], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {7, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", MenuSortingValue -> 1550, FontWeight -> 
          "Bold"], 
         Cell[
          StyleData["InputOnly", "Presentation"], 
          CellMargins -> {{110, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "InputOnly", "SlideShow", StyleDefinitions -> 
           StyleData["InputOnly", "Presentation"]]], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], ShowCellBracket -> True, 
          CellMargins -> {{103, 10}, {7, 5}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, 
          CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping", 
          CellHorizontalScrolling -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, DefaultFormatType -> 
          DefaultOutputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
          True, HyphenationOptions -> {
           "HyphenationCharacter" -> "\[Continuation]"}, 
          AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
          InputForm, CounterIncrements -> "Output"], 
         Cell[
          StyleData["Output", "Presentation"], 
          CellMargins -> {{110, 50}, {10, 8}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Output", "SlideShow", StyleDefinitions -> 
           StyleData["Output", "Presentation"]]], 
         Cell[
          StyleData["Output", "Printout"], CellMargins -> {{39, 0}, {6, 4}}, 
          FontSize -> 9]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"], CellMargins -> {{103, 10}, {5, 10}}], 
         Cell[
          StyleData["Code", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Code", "SlideShow", StyleDefinitions -> 
           StyleData["Code", "Presentation"]]], 
         Cell[
          StyleData["Code", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], 
          CellMargins -> {{103, Inherited}, {Inherited, Inherited}}, FontSize -> 
          14], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{70, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17, Magnification -> Inherited 1.5], 
         Cell[
          StyleData[
          "Print", "SlideShow", StyleDefinitions -> 
           StyleData["Print", "Presentation"]]], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaShortInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{98, 10}, {5, 7}}, EvaluationMode -> 
          "WolframAlphaShort", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "Equal"]]], 
              CellBaseline -> Baseline], None}, {None, None}}, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaShortInput", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaShortInput", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaShortInput", "Presentation"]]], 
         Cell[
          StyleData["WolframAlphaShortInput", "Printout"], 
          CellFrameLabelMargins -> 3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaLong", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{100, 10}, {5, 7}}, 
          StyleKeyMapping -> {
           "=" -> "Input", "Backspace" -> "WolframAlphaShort"}, 
          EvaluationMode -> "WolframAlphaLong", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "SpikeyEqual"]]]], 
             None}, {None, None}}, DefaultFormatType -> TextForm, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaLong", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaLong", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaLong", "Presentation"]], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData["WolframAlphaLong", "Printout"], CellFrameLabelMargins -> 
          3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Program"], CellMargins -> {{60, 4}, {6, 8}}], 
         Cell[
          StyleData["Program", "Presentation"], 
          CellMargins -> {{60, 50}, {8, 10}}, LineSpacing -> {1, 0}, FontSize -> 
          17], 
         Cell[
          StyleData[
          "Program", "SlideShow", StyleDefinitions -> 
           StyleData["Program", "Presentation"]]], 
         Cell[
          StyleData["Program", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
          FontSize -> 10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"]], 
         Cell[
          StyleData["CellLabel", "Presentation"], FontSize -> 12], 
         Cell[
          StyleData[
          "CellLabel", "SlideShow", StyleDefinitions -> 
           StyleData["CellLabel", "Presentation"]]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ManipulateLabel"]], 
         Cell[
          StyleData["ManipulateLabel", "Presentation"], FontSize -> 15], 
         Cell[
          StyleData[
          "ManipulateLabel", "SlideShow", StyleDefinitions -> 
           StyleData["ManipulateLabel", "Presentation"]]], 
         Cell[
          StyleData["ManipulateLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GraphicsLabel"]], 
         Cell[
          StyleData["GraphicsLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "GraphicsLabel", "SlideShow", StyleDefinitions -> 
           StyleData["GraphicsLabel", "Presentation"]]], 
         Cell[
          StyleData["GraphicsLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics3DLabel"]], 
         Cell[
          StyleData["Graphics3DLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "Graphics3DLabel", "SlideShow", StyleDefinitions -> 
           StyleData["Graphics3DLabel", "Presentation"]]], 
         Cell[
          StyleData["Graphics3DLabel", "Printout"], FontSize -> 8]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for SlideShow", "Section", 
       CellChangeTimes -> {{3.514665148412793*^9, 3.5146651505550737`*^9}}], 
      Cell[
       StyleData["slideshowheader"], ShowCellBracket -> False, 
       CellMargins -> {{0, 0}, {0, -2}}, Evaluatable -> False, 
       CellHorizontalScrolling -> False, PageBreakBelow -> False, 
       CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
       GrayLevel[1], CellPadding -> 0, CellFramePadding -> 0], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["hidefromslideshowgraphic"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
          None, CellPadding -> 0], 
         Cell[
          StyleData["hidefromslideshowgraphic", "SlideShow"], ShowCellBracket -> 
          False, CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> False], 
         Cell[
          StyleData["hidefromslideshowgraphic", "Printout"], Magnification -> 
          0.6]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["slideshowheader2"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}, 
          Magnification -> 1, Background -> GrayLevel[1]], 
         Cell[
          StyleData["ConferenceGraphicCell", "SlideShow"], ShowCellBracket -> 
          False, 
          CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> True], 
         Cell[
          StyleData["slideshowheader", "Printout"], FontSize -> 8, 
          Magnification -> 0.75]}, Closed]], 
      Cell[
       StyleData[
       "ConferenceGraphicCellSlideShowOnly", StyleDefinitions -> 
        StyleData["ConferenceCellGraphic"]], ShowCellBracket -> False, 
       CellMargins -> 0, 
       CellElementSpacings -> {
        "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, "ClosedGroupTopMargin" -> 
         0}, CellOpen -> False], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SlideShowNavigationBar"], Editable -> True, Selectable -> 
          False, CellFrame -> 0, ShowGroupOpener -> False, 
          CellMargins -> {{0, 0}, {3, 3}}, CellOpen -> True, CellFrameMargins -> 
          0, CellFrameColor -> None, Background -> None], 
         Cell[
          StyleData["SlideShowNavigationBar", "Printout"], PageBreakAbove -> 
          Automatic]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Slide Show Environment Documents", "Section", 
       CellChangeTimes -> {{3.559592561220532*^9, 3.559592575768806*^9}, 
         3.559652073182283*^9}], 
      Cell[
       StyleData["FirstSlide"], 
       PrivateCellOptions -> {
        "PagewiseNotebookBaseStyle" -> {
          FrontEnd`BackgroundAppearance -> FrontEnd`CurrentValue[
             FrontEnd`EvaluationNotebook[], {
             FrontEnd`UnknownOptions, presentertemplt`firstslideimage}]}}]}, 
     Closed]]}, Visible -> False, FrontEndVersion -> 
  "11.2 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 10, 2017)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"],
presentertemplt`firstslideimage -> Image[CompressedData["
1:eJzt3UmudOtVreFDUqBIF5BL0AKqFKkaIcq2MBYVI9lIiF7QEMDkeZ7n0CNz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  "], "Byte", ColorSpace -> "RGB", Interleaving -> 
  True]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[580, 22, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ede37e06-61ad-4275-a96e-bf71243a0e5b",
   CellTags->"SlideShowHeader"],
  Cell[5888, 134, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"8de02979-31f7-4cf9-b6d0-0daa6ee7805e",
   CellTags->"SlideShowHeader"],
  Cell[9555, 236, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"7cbde92f-6824-40ae-bdc7-98488a2c992a",
   CellTags->"SlideShowHeader"],
  Cell[10702, 284, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"60280515-6fbc-4c3d-941e-4f057a625c1e",
   CellTags->"SlideShowHeader"],
  Cell[14801, 405, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"69b74a39-2ffc-4c48-b32c-cef35577692f",
   CellTags->"SlideShowHeader"],
  Cell[15896, 443, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"044de6d4-720b-4b08-8e51-4de6f0758577",
   CellTags->"SlideShowHeader"],
  Cell[28677, 770, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"2a93327e-d307-4a45-87b3-fc984f49f672",
   CellTags->"SlideShowHeader"],
  Cell[31564, 847, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"d254220c-db72-4f03-8aa3-aa7c3ca8dd51",
   CellTags->"SlideShowHeader"],
  Cell[35017, 956, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"86f13c3d-5c11-4b05-8b26-b2cb2b840937",
   CellTags->"SlideShowHeader"],
  Cell[42287, 1170, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"e352c28a-924e-470b-a97a-9740cfdbbbe4",
   CellTags->"SlideShowHeader"],
  Cell[43725, 1214, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"0d299ef5-4cba-4e49-995c-3b9580527288",
   CellTags->"SlideShowHeader"],
  Cell[49204, 1368, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"4cf2df01-261c-4fa0-853e-3f195b89353c",
   CellTags->"SlideShowHeader"],
  Cell[53649, 1508, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"270c2f30-2134-4a8e-8803-1a0c95f0eb60",
   CellTags->"SlideShowHeader"],
  Cell[55069, 1552, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"614d6a9e-bbdf-42b8-b8c0-4274932a2f5d",
   CellTags->"SlideShowHeader"],
  Cell[58030, 1638, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"cc9beec7-ffe6-4034-9c00-3a7e644b321f",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 114809, 2808}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ede37e06-61ad-4275-a96e-bf71243a0e5b",
 CellTags->"SlideShowHeader"],
Cell[719, 26, 112, 0, 250, "Title",ExpressionUUID->"ce2763ed-2b4a-475f-99e2-f5f8a2297077"],
Cell[834, 28, 128, 0, 54, "Subtitle",ExpressionUUID->"4c3e2f85-09cf-4c3f-8e9b-a1b42052e613"],
Cell[965, 30, 4886, 99, 591, "Text",ExpressionUUID->"ffae2c46-c36c-4bfd-a626-26976f98ec7d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5888, 134, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"8de02979-31f7-4cf9-b6d0-0daa6ee7805e",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[6035, 140, 97, 0, 125, "Section",ExpressionUUID->"54373818-2c81-4d2c-aade-39023210cac5"],
Cell[6135, 142, 409, 6, 65, "Text",ExpressionUUID->"0806dc38-dafd-4cf3-a8aa-13f0763e059f"],
Cell[6547, 150, 143, 2, 41, "Text",ExpressionUUID->"f08c040b-5d70-464e-aa65-54739a0c0f3d"],
Cell[6693, 154, 167, 3, 41, "Text",ExpressionUUID->"1de81b0b-405a-4aed-827b-f26798e8034e"],
Cell[CellGroupData[{
Cell[6885, 161, 93, 0, 54, "Subsubsection",ExpressionUUID->"ad769e62-f995-40fe-8dc4-ffbaca568c20"],
Cell[6981, 163, 153, 2, 126, "Text",ExpressionUUID->"d756d767-cbab-475f-a93d-95f689b2f90e"],
Cell[7137, 167, 241, 4, 202, "Text",ExpressionUUID->"bad341f1-1950-4f24-9e0d-c110e69a6276"],
Cell[CellGroupData[{
Cell[7403, 175, 238, 5, 108, "Item",ExpressionUUID->"1dad7cec-1560-4c21-a5a0-34411690ac8e"],
Cell[7644, 182, 352, 7, 184, "Item",ExpressionUUID->"ea7ed56a-1e9f-40ed-83dc-cecb349cb489"],
Cell[7999, 191, 357, 7, 184, "Item",ExpressionUUID->"39732095-2c2a-49b9-8590-568d109958e5"],
Cell[8359, 200, 362, 7, 184, "Item",ExpressionUUID->"baceb415-e76e-488b-b39c-15e45494294a"],
Cell[8724, 209, 254, 5, 108, "Item",ExpressionUUID->"639cb177-cfcd-49bc-b481-30a49e987dfa"],
Cell[8981, 216, 322, 7, 108, "Item",ExpressionUUID->"bc5c4d1c-b73f-4a3b-8046-227bfef2c272"]
}, Open  ]],
Cell[9318, 226, 176, 3, 126, "Text",ExpressionUUID->"36a4448a-b3e9-4b38-992c-dd422084d1bb"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9555, 236, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"7cbde92f-6824-40ae-bdc7-98488a2c992a",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[9702, 242, 114, 0, 125, "Section",ExpressionUUID->"29de9da5-c670-4e26-b190-08e23b636df4"],
Cell[9819, 244, 120, 0, 41, "Text",ExpressionUUID->"bfd6b925-b97a-4255-8e41-f7a2100bd4f0"],
Cell[CellGroupData[{
Cell[9964, 248, 93, 0, 54, "Subsubsection",ExpressionUUID->"8e193065-07d4-471d-8833-2b4f0643f50b"],
Cell[10060, 250, 236, 10, 229, "Text",ExpressionUUID->"ef4911d5-227b-4ea5-8c39-78c411321c5e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10333, 265, 99, 0, 54, "Subsubsection",ExpressionUUID->"29ff9a69-ce4a-4b91-9687-d1e3244b1bb7"],
Cell[10435, 267, 206, 10, 229, "Text",ExpressionUUID->"7f845730-096b-4b11-a875-0d2445629dbb"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10702, 284, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"60280515-6fbc-4c3d-941e-4f057a625c1e",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[10849, 290, 92, 0, 125, "Section",ExpressionUUID->"b1aab8bf-c613-4ccf-bad1-5bcf664490c7"],
Cell[CellGroupData[{
Cell[10966, 294, 99, 0, 54, "Subsubsection",ExpressionUUID->"08085c61-b529-4f5d-a1e7-fd2824adbf46"],
Cell[11068, 296, 206, 3, 126, "Text",ExpressionUUID->"0fd09de6-235d-42cd-a777-c43df09c268a"],
Cell[11277, 301, 271, 7, 135, "Input",ExpressionUUID->"298cb6b1-397c-4920-b078-f4f20a237c2a"],
Cell[11551, 310, 148, 2, 126, "Text",ExpressionUUID->"7c310239-d3fa-46e1-bed4-bcab59af2b0a"],
Cell[11702, 314, 1390, 35, 690, "Input",ExpressionUUID->"99e22b2a-dba6-478f-aba5-db6d63ebe2f0"],
Cell[13095, 351, 252, 4, 202, "Text",ExpressionUUID->"32da6fed-a4ef-4b8e-a15a-cc8d3ab4256a"],
Cell[13350, 357, 362, 9, 135, "Input",ExpressionUUID->"0a08d088-1f79-4528-a172-2324430ba9a4"]
}, Closed]],
Cell[CellGroupData[{
Cell[13749, 371, 100, 0, 35, "Subsubsection",ExpressionUUID->"d689a881-cf86-4e75-b1ad-f8ca039105ba"],
Cell[CellGroupData[{
Cell[13874, 375, 86, 0, 108, "Item",ExpressionUUID->"34fb8ee8-f59c-4bd0-9041-41e7b64ddc39"],
Cell[13963, 377, 93, 0, 108, "Item",ExpressionUUID->"ebb7e0a2-612c-4807-b4ee-935bfe8c01b5"],
Cell[14059, 379, 173, 3, 108, "Subitem",ExpressionUUID->"f1735bd1-8397-49cd-99f6-78b2c6f35477"],
Cell[14235, 384, 93, 0, 108, "Item",ExpressionUUID->"22eac965-5395-4af6-ab7a-6f37a1d69613"],
Cell[CellGroupData[{
Cell[14353, 388, 168, 3, 108, "Subitem",ExpressionUUID->"5a2ee70e-025f-4e4a-bce1-d4df609ecaf3"],
Cell[14524, 393, 192, 3, 184, "Subitem",ExpressionUUID->"0dd7552e-e248-4351-8689-c35e0b3d1d93"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14801, 405, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"69b74a39-2ffc-4c48-b32c-cef35577692f",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[14948, 411, 90, 0, 125, "Section",ExpressionUUID->"9ab72d0b-5976-4bc6-aabc-effc619b1668"],
Cell[CellGroupData[{
Cell[15063, 415, 85, 0, 54, "Subsubsection",ExpressionUUID->"a9a7a78d-8afa-481f-9272-5f42fbe51921"],
Cell[CellGroupData[{
Cell[15173, 419, 147, 2, 41, "Item",ExpressionUUID->"c326e477-24ad-43d5-a0f0-554af19b2c50"],
Cell[15323, 423, 182, 3, 41, "Item",ExpressionUUID->"845cf702-a3be-4d2f-9744-f2799549943b"],
Cell[15508, 428, 152, 2, 41, "Item",ExpressionUUID->"4b0f6f4a-4bcc-4ef0-ae90-a5048c995fa3"],
Cell[15663, 432, 160, 3, 41, "Item",ExpressionUUID->"84dfedd6-e4ad-4d3d-9d34-a4d26a70698c"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15896, 443, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"044de6d4-720b-4b08-8e51-4de6f0758577",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[16043, 449, 82, 0, 125, "Section",ExpressionUUID->"661da46e-0425-4b41-b397-2c2377ee571b"],
Cell[CellGroupData[{
Cell[16150, 453, 90, 0, 54, "Subsubsection",ExpressionUUID->"36706da1-d86f-4ee8-a565-2d44b1ff955e"],
Cell[16243, 455, 125, 0, 126, "Text",ExpressionUUID->"2c8c11b1-87e6-434a-a232-35b17ff210aa"],
Cell[16371, 457, 238, 7, 135, "Input",ExpressionUUID->"96d13438-2c96-41fa-8695-24a53cb00a4c"],
Cell[16612, 466, 141, 2, 126, "Text",ExpressionUUID->"1e6f473c-4d15-44df-b697-17d6036e8659"],
Cell[16756, 470, 621, 15, 406, "Text",ExpressionUUID->"6044969f-a8dd-4448-b0a9-3def9754a31c"]
}, Closed]],
Cell[CellGroupData[{
Cell[17414, 490, 94, 0, 35, "Subsubsection",ExpressionUUID->"8038bf48-dc4b-42c1-b823-103fa4edb2e5"],
Cell[17511, 492, 218, 3, 202, "Text",ExpressionUUID->"f776493a-c71c-4f51-a2ed-b0fc6f4ad5cd"],
Cell[17732, 497, 160, 3, 135, "Input",ExpressionUUID->"90a9b13b-10dd-4ec2-af70-1e8a997ae33d"],
Cell[17895, 502, 139, 1, 126, "Text",ExpressionUUID->"18a7db5b-4506-4d68-a6f4-53de4b11d62c"],
Cell[18037, 505, 228, 6, 135, "Input",ExpressionUUID->"9b110e9a-fff1-4301-a814-3add511f07b7"],
Cell[18268, 513, 171, 3, 126, "Text",ExpressionUUID->"b8185c32-71ad-4874-839c-9b0440cf02e5"],
Cell[18442, 518, 417, 10, 222, "Text",ExpressionUUID->"7fb08afd-310b-4ac2-a4b3-3eec6b14d8ce"]
}, Closed]],
Cell[CellGroupData[{
Cell[18896, 533, 85, 0, 35, "Subsubsection",ExpressionUUID->"0d2098fc-b131-497c-b4fd-c398b5029569"],
Cell[18984, 535, 182, 3, 41, "Text",ExpressionUUID->"d02b5ed5-a1f4-41c5-ae5f-60348f936b44"],
Cell[CellGroupData[{
Cell[19191, 542, 162, 2, 45, "Input",ExpressionUUID->"47250a3d-df99-4d96-9026-2c4832a3be20"],
Cell[19356, 546, 1204, 27, 107, "Output",ExpressionUUID->"5e48b16b-b6a1-4b57-aeae-f0cfb3a60567"]
}, Closed]],
Cell[CellGroupData[{
Cell[20597, 578, 232, 6, 38, "Input",ExpressionUUID->"7494f874-d62a-465b-928d-84438cd2a834"],
Cell[20832, 586, 1241, 27, 750, "Output",ExpressionUUID->"3f964f9d-b773-4f64-b390-7b814a82681a"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[22122, 619, 97, 0, 35, "Subsubsection",ExpressionUUID->"74eff1a5-0192-4009-a413-274dfb7d2ecc"],
Cell[22222, 621, 147, 2, 424, "Text",ExpressionUUID->"1e53fbe9-7b76-4a67-a16e-12415b18288e"],
Cell[22372, 625, 3495, 64, 999, "Input",ExpressionUUID->"648e5eb9-2a95-4de7-8ad5-225d15a4a5a1"],
Cell[25870, 691, 92, 0, 424, "Text",ExpressionUUID->"f9c89c9e-56d5-4fb5-9d19-f5f8fb52861d"],
Cell[25965, 693, 1210, 28, 589, "Input",ExpressionUUID->"b65ee584-8aa0-452d-81dd-767dd0148335"],
Cell[27178, 723, 222, 5, 454, "Input",ExpressionUUID->"fec48110-6dc0-40fc-b5cb-c04d2cc21a27"],
Cell[27403, 730, 90, 0, 424, "Text",ExpressionUUID->"4b577ed6-04a5-46b1-aacd-2bee63f276d8"],
Cell[27496, 732, 237, 5, 454, "Input",ExpressionUUID->"2bbc3f98-f8fe-4eeb-8bea-7f3e60477a80"],
Cell[27736, 739, 309, 8, 454, "Input",ExpressionUUID->"56dadf3d-a6f4-4b8b-b83f-ec9e2e3d48b7"],
Cell[28048, 749, 112, 0, 424, "Text",ExpressionUUID->"6ed13040-8f77-4393-8ec9-2a65821da92d"],
Cell[28163, 751, 180, 4, 454, "Input",ExpressionUUID->"c5c277af-14cc-4c0a-84ce-29f42488ad1e"],
Cell[28346, 757, 163, 3, 424, "Text",ExpressionUUID->"b2ceac25-7e25-408b-8dff-8b1707cae28d"],
Cell[28512, 762, 104, 1, 454, "Input",ExpressionUUID->"d5bfafb8-b47f-4092-a74b-3c5aeb1f20fe"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[28677, 770, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"2a93327e-d307-4a45-87b3-fc984f49f672",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[28824, 776, 103, 0, 125, "Section",ExpressionUUID->"e8003dce-dfd7-40ad-aae3-39de75a90139"],
Cell[28930, 778, 142, 4, 41, "Text",ExpressionUUID->"14ac824b-6002-4211-b589-e347a5f864ca"],
Cell[29075, 784, 969, 23, 197, "Text",ExpressionUUID->"130177b5-d800-45f8-9abb-863db00edccd"],
Cell[30047, 809, 263, 5, 65, "Text",ExpressionUUID->"c153b42f-c1d6-441f-9483-256a5986930b"],
Cell[30313, 816, 332, 6, 88, "Text",ExpressionUUID->"0c0d1a70-7939-41f4-864d-7b53b9ce8fdd"],
Cell[30648, 824, 234, 5, 65, "Text",ExpressionUUID->"aac3c480-5082-421f-9087-2f9eb5f593fd"],
Cell[30885, 831, 630, 10, 229, "Text",ExpressionUUID->"fafb77a4-6d02-45e3-9f84-a1451593fb08"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[31564, 847, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"d254220c-db72-4f03-8aa3-aa7c3ca8dd51",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[31711, 853, 92, 0, 125, "Section",ExpressionUUID->"ea952437-6f21-4d11-ac82-a4ba1dca2c20"],
Cell[CellGroupData[{
Cell[31828, 857, 87, 0, 54, "Subsubsection",ExpressionUUID->"4d942c47-216f-4de6-98a5-bd2e0332a8fd"],
Cell[31918, 859, 410, 11, 45, "Input",ExpressionUUID->"e0f7946c-0926-4645-88e0-cb42c6d369b2"],
Cell[32331, 872, 429, 11, 77, "Input",ExpressionUUID->"f72aeb0d-1375-45b2-ab1b-d9114f903748"],
Cell[32763, 885, 155, 3, 45, "Input",ExpressionUUID->"06914caf-c122-4be6-9c82-86d3f02192d1"],
Cell[32921, 890, 196, 3, 41, "Text",ExpressionUUID->"776c3dff-1306-47db-9ce5-46902d928220"]
}, Closed]],
Cell[CellGroupData[{
Cell[33154, 898, 110, 0, 35, "Subsubsection",ExpressionUUID->"b2f4d965-9b56-441d-9bdf-344565508a06"],
Cell[33267, 900, 148, 2, 41, "Text",ExpressionUUID->"4d7e38f0-c97d-4e70-8ba2-c1b594660a57"],
Cell[33418, 904, 177, 4, 45, "Input",ExpressionUUID->"bf3c8a02-bb0a-4ba2-a12e-80617abb4762"],
Cell[33598, 910, 155, 3, 45, "Input",ExpressionUUID->"88aa8d24-b5a3-4032-8e62-574aa632b1b4"]
}, Closed]],
Cell[CellGroupData[{
Cell[33790, 918, 108, 0, 35, "Subsubsection",ExpressionUUID->"8182e07e-191d-4036-b6e4-30cc3c58cf51"],
Cell[33901, 920, 256, 4, 65, "Text",ExpressionUUID->"d4df7d25-ebda-45d2-b5a1-7337891bd680"],
Cell[34160, 926, 449, 12, 77, "Input",ExpressionUUID->"1ba6ce4f-ca94-4f9b-9bc9-2318fd7f05f8"],
Cell[34612, 940, 344, 9, 45, "Input",ExpressionUUID->"12a77fab-f00b-48a2-a26f-9bd3afc18003"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[35017, 956, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"86f13c3d-5c11-4b05-8b26-b2cb2b840937",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[35164, 962, 92, 0, 125, "Section",ExpressionUUID->"868e144c-cb1e-49d3-a106-8576f14db38c"],
Cell[35259, 964, 249, 4, 41, "Text",ExpressionUUID->"27773ed7-ad62-4879-9d91-9f67fffc724b"],
Cell[CellGroupData[{
Cell[35533, 972, 94, 0, 54, "Subsubsection",ExpressionUUID->"5272f2c5-2263-4863-a651-87a4d9d09972"],
Cell[35630, 974, 509, 13, 77, "Input",ExpressionUUID->"5089adae-8009-4ace-8197-46a301458274"],
Cell[36142, 989, 304, 8, 45, "Input",ExpressionUUID->"52836ea4-9ef9-4235-bb2c-b3a7bf52845c"]
}, Closed]],
Cell[CellGroupData[{
Cell[36483, 1002, 101, 0, 35, "Subsubsection",ExpressionUUID->"20467d9f-aaae-4920-8654-c8472a864e57"],
Cell[36587, 1004, 223, 3, 41, "Text",ExpressionUUID->"ca0e7546-cb34-4770-bb79-6d30e2180d4b"],
Cell[36813, 1009, 460, 13, 77, "Input",ExpressionUUID->"2d3019ca-6c36-412b-9b15-0431a51e1fba"],
Cell[37276, 1024, 192, 3, 41, "Text",ExpressionUUID->"e6dbf620-e019-4f28-87ad-e40e20a4dc8d"],
Cell[37471, 1029, 641, 18, 108, "Input",ExpressionUUID->"cace2bc9-b35b-4ecf-8df0-4a3f01a23a87"],
Cell[38115, 1049, 372, 10, 45, "Input",ExpressionUUID->"c7226ec6-2e84-4ac8-b905-503247035b71"]
}, Closed]],
Cell[CellGroupData[{
Cell[38524, 1064, 102, 0, 35, "Subsubsection",ExpressionUUID->"c1dd8149-74e2-44af-a3e5-5bd72bb516fb"],
Cell[38629, 1066, 183, 3, 41, "Text",ExpressionUUID->"a82c80ce-8591-4e71-870b-692c60b155ea"],
Cell[38815, 1071, 242, 5, 45, "Input",ExpressionUUID->"f775a699-356d-4b31-9412-8dee9b7cc775"],
Cell[39060, 1078, 396, 10, 45, "Input",ExpressionUUID->"56da0cc9-31a6-4026-8780-a2a19f04da6e"]
}, Closed]],
Cell[CellGroupData[{
Cell[39493, 1093, 94, 0, 35, "Subsubsection",ExpressionUUID->"c42ec8c8-948d-4036-9f7b-9b5bc660f636"],
Cell[CellGroupData[{
Cell[39612, 1097, 303, 7, 45, "Input",ExpressionUUID->"480d65bc-ea9a-4be6-be92-06882be78231",
 Evaluatable->False],
Cell[39918, 1106, 1550, 32, 67, "Print",ExpressionUUID->"85723223-a199-4951-b1fe-7274e396ae11"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41505, 1143, 267, 6, 45, "Input",ExpressionUUID->"81b15eb0-4f8f-4f04-93f0-88c632e18ef6",
 Evaluatable->False],
Cell[41775, 1151, 439, 11, 50, "Print",ExpressionUUID->"2b431d7e-d5b4-45f2-a553-af3653ca082a"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42287, 1170, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"e352c28a-924e-470b-a97a-9740cfdbbbe4",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[42434, 1176, 100, 0, 125, "Section",ExpressionUUID->"4ecce344-a40d-402b-b4ca-1c0d3a41341a"],
Cell[42537, 1178, 230, 3, 41, "Text",ExpressionUUID->"53cfbc8b-c4a5-4394-ad9e-c35ec984721e"],
Cell[42770, 1183, 103, 0, 41, "Text",ExpressionUUID->"55c749e1-3bde-4173-9e43-86239c0164d7"],
Cell[42876, 1185, 228, 6, 45, "Input",ExpressionUUID->"5056c41e-3a28-4627-8d24-65fdf46f3e5f"],
Cell[43107, 1193, 202, 5, 45, "Input",ExpressionUUID->"0d4ec204-6dce-4fdc-a43b-283aa9fcee21"],
Cell[43312, 1200, 231, 6, 45, "Input",ExpressionUUID->"381f7235-bf37-44ea-9bc5-c12777356b02"],
Cell[43546, 1208, 130, 0, 41, "Text",ExpressionUUID->"2c62661d-2221-4b08-a1c8-88aa7ed7ec6b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43725, 1214, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"0d299ef5-4cba-4e49-995c-3b9580527288",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[43872, 1220, 91, 0, 125, "Section",ExpressionUUID->"115f4c13-6adb-4d66-badc-144fb9606575"],
Cell[43966, 1222, 129, 0, 41, "Text",ExpressionUUID->"1fa1f9f5-aac8-4fa4-9078-50564f1a4c4d"],
Cell[44098, 1224, 466, 12, 77, "Input",ExpressionUUID->"0865b0ca-affd-4360-bbd6-688464f67915"],
Cell[CellGroupData[{
Cell[44589, 1240, 97, 0, 54, "Subsubsection",ExpressionUUID->"d5314537-4119-4e16-b16f-e81ed1712422"],
Cell[44689, 1242, 243, 4, 65, "Text",ExpressionUUID->"9569f9dd-b663-456d-954e-fe8fd3ce364d"]
}, Closed]],
Cell[CellGroupData[{
Cell[44969, 1251, 94, 0, 35, "Subsubsection",ExpressionUUID->"b8026d38-58e9-465f-8be4-70a416cc07d8"],
Cell[45066, 1253, 240, 4, 41, "Text",ExpressionUUID->"6a7656f4-88eb-4d70-afaa-3bd33b77e142"],
Cell[45309, 1259, 764, 18, 108, "Input",ExpressionUUID->"863fd1f1-21ce-4ab6-83da-7695a85bbcd1"]
}, Closed]],
Cell[CellGroupData[{
Cell[46110, 1282, 102, 0, 35, "Subsubsection",ExpressionUUID->"87d276e1-f081-4278-a273-bc0a2a22215d"],
Cell[46215, 1284, 178, 2, 41, "Text",ExpressionUUID->"c2e799e8-f02f-4a3f-a676-756129ce7211"],
Cell[46396, 1288, 1048, 26, 170, "Input",ExpressionUUID->"ea0bc69a-0465-45d2-9847-6580b18b0bab"],
Cell[47447, 1316, 176, 3, 41, "Text",ExpressionUUID->"9dad40a2-422d-4aa5-8a37-0368923dd4f8"],
Cell[47626, 1321, 447, 11, 45, "Input",ExpressionUUID->"29a61ded-65dc-4fbf-b65c-08a29ed2bc7b"]
}, Closed]],
Cell[CellGroupData[{
Cell[48110, 1337, 106, 0, 35, "Subsubsection",ExpressionUUID->"8955d2bd-31a8-4126-b911-5823df9bffb2"],
Cell[48219, 1339, 386, 6, 88, "Text",ExpressionUUID->"291622ca-55d1-43af-80a0-b5236b4a045d"]
}, Closed]],
Cell[CellGroupData[{
Cell[48642, 1350, 118, 0, 35, "Subsubsection",ExpressionUUID->"9ec8b25e-2107-4444-a29f-69c3d7d88511"],
Cell[48763, 1352, 380, 9, 41, "Text",ExpressionUUID->"db556f72-b516-4e44-b57c-56710629bdc7"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[49204, 1368, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"4cf2df01-261c-4fa0-853e-3f195b89353c",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[49351, 1374, 120, 0, 125, "Section",ExpressionUUID->"3e4c30b8-f880-4403-930c-b2b9972d8362"],
Cell[49474, 1376, 158, 3, 41, "Text",ExpressionUUID->"c4935fa3-4dd2-4d00-beb2-5826ed20141f"],
Cell[49635, 1381, 151, 2, 41, "Text",ExpressionUUID->"8670c890-7366-4fac-ad42-9cf077288efa"],
Cell[CellGroupData[{
Cell[49811, 1387, 110, 0, 54, "Subsubsection",ExpressionUUID->"082e6e23-1ba4-48f0-9056-42e8ccfde90f"],
Cell[49924, 1389, 171, 3, 41, "Text",ExpressionUUID->"dbf75a45-8627-447a-b3ab-4b60c17dd2dc"],
Cell[50098, 1394, 307, 8, 45, "Input",ExpressionUUID->"81ef5d92-85f8-4322-a3ac-c4db5010358c"],
Cell[50408, 1404, 606, 18, 77, "Input",ExpressionUUID->"2a743e33-72fb-4e1f-95ea-3547d60b98d3"]
}, Closed]],
Cell[CellGroupData[{
Cell[51051, 1427, 114, 0, 35, "Subsubsection",ExpressionUUID->"47c6f206-55a7-460e-8456-7d8f481a9249"],
Cell[51168, 1429, 166, 3, 41, "Text",ExpressionUUID->"b8ac747b-9f06-4d97-a1af-cfdb76859b27"],
Cell[51337, 1434, 307, 8, 45, "Input",ExpressionUUID->"174a215d-b2b2-428b-aabe-6ae9df9db691"],
Cell[51647, 1444, 782, 22, 77, "Input",ExpressionUUID->"bd917b4b-e635-4d40-89c2-4fda2f945615"]
}, Closed]],
Cell[CellGroupData[{
Cell[52466, 1471, 150, 1, 35, "Subsubsection",ExpressionUUID->"3af11ee0-5ca8-4c78-b9bc-87e26e734c86"],
Cell[52619, 1474, 179, 3, 41, "Text",ExpressionUUID->"2abcc7a7-4f62-4d30-9614-68684af70b7e"],
Cell[52801, 1479, 787, 22, 77, "Input",ExpressionUUID->"6df2ac53-d26d-4243-8b68-3796d50c9b39"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[53649, 1508, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"270c2f30-2134-4a8e-8803-1a0c95f0eb60",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[53796, 1514, 109, 0, 125, "Section",ExpressionUUID->"55b3890d-858c-406f-a7b4-48c86ec728be"],
Cell[CellGroupData[{
Cell[53930, 1518, 82, 0, 60, "Subsection",ExpressionUUID->"01ab590a-c07a-4809-9acd-d5e2e55d4280"],
Cell[54015, 1520, 121, 0, 41, "Text",ExpressionUUID->"2f3a41e7-40e3-40be-9d46-63023de292da"],
Cell[CellGroupData[{
Cell[54161, 1524, 113, 0, 54, "Subsubsection",ExpressionUUID->"79ca5be0-acd0-459b-8148-008b5a03f60b"],
Cell[54277, 1526, 631, 16, 108, "Input",ExpressionUUID->"18f5c7cc-8c80-456b-b30e-ba51456cb0fe"],
Cell[54911, 1544, 85, 0, 45, "Input",ExpressionUUID->"c7bdc3e7-cb3b-4040-b12b-17bf34f91a05"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55069, 1552, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"614d6a9e-bbdf-42b8-b8c0-4274932a2f5d",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[55216, 1558, 106, 0, 125, "Section",ExpressionUUID->"e283b24c-449d-4781-9a62-da246693b652"],
Cell[CellGroupData[{
Cell[55347, 1562, 82, 0, 60, "Subsection",ExpressionUUID->"ebd04dd7-1369-4458-befd-c20d946db429"],
Cell[55432, 1564, 235, 4, 65, "Text",ExpressionUUID->"3a288a58-7f76-456f-9973-a5c2bc282aa2"],
Cell[CellGroupData[{
Cell[55692, 1572, 107, 0, 54, "Subsubsection",ExpressionUUID->"fe1cc26d-d743-45a8-95e4-77a2a6e49c6e"],
Cell[55802, 1574, 115, 0, 41, "Text",ExpressionUUID->"7f683045-640c-4cf8-815e-99de717d3d62"],
Cell[55920, 1576, 112, 0, 41, "Text",ExpressionUUID->"e0d1a635-cef6-48a1-a961-7120527f423a"],
Cell[56035, 1578, 105, 1, 45, "Input",ExpressionUUID->"15f57201-530d-4c56-9c1b-8f038419f30b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56177, 1584, 111, 0, 54, "Subsubsection",ExpressionUUID->"e8bbe975-b5d9-4eae-a770-8ef90d533bfd"],
Cell[56291, 1586, 198, 3, 41, "Text",ExpressionUUID->"cb894ee9-98e3-4c79-961e-8a52fa0ea5ac"],
Cell[56492, 1591, 99, 0, 41, "Text",ExpressionUUID->"23a546a8-d1f1-4887-ad8d-4449df21ce3e"],
Cell[56594, 1593, 160, 3, 45, "Input",ExpressionUUID->"73f52664-2b6a-4389-a9fb-2f766008dc7b"],
Cell[56757, 1598, 296, 4, 65, "Text",ExpressionUUID->"eeea6036-ecb2-4a39-b15f-8a41abc38670"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57090, 1607, 96, 0, 54, "Subsubsection",ExpressionUUID->"35bef7f0-9c20-4df5-9060-08272470c090"],
Cell[57189, 1609, 206, 3, 41, "Text",ExpressionUUID->"a7ace624-325c-46d3-a5c0-1c1f64b86e3b"],
Cell[57398, 1614, 202, 5, 45, "Input",ExpressionUUID->"0e878d23-8fdf-45fc-9be6-07b920843550"],
Cell[57603, 1621, 354, 9, 45, "Input",ExpressionUUID->"58e5fc8f-a3aa-44fb-9050-5e9264ef9336"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[58030, 1638, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"cc9beec7-ffe6-4034-9c00-3a7e644b321f",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[58177, 1644, 84, 0, 125, "Section",ExpressionUUID->"fa1853d8-fdc4-4601-affb-6287cd1df0b2"],
Cell[CellGroupData[{
Cell[58286, 1648, 115, 0, 41, "Item",ExpressionUUID->"f98ff401-0204-4007-a7dd-744a9a7e3466"],
Cell[58404, 1650, 115, 0, 41, "Item",ExpressionUUID->"7e5aabf8-2302-4534-be65-2c6a555380e8"],
Cell[58522, 1652, 131, 0, 41, "Item",ExpressionUUID->"88e23558-f6f6-4861-982c-a799bd027664"],
Cell[58656, 1654, 101, 0, 41, "Item",ExpressionUUID->"2ed62d7d-d75d-4e87-9e56-e02c2f0a6607"],
Cell[58760, 1656, 113, 0, 41, "Item",ExpressionUUID->"13a0025b-1f47-481c-b686-a796cd6f19d0"],
Cell[58876, 1658, 113, 0, 41, "Item",ExpressionUUID->"b3b702b8-2595-4720-82ff-a5dd0798197a"],
Cell[58992, 1660, 144, 2, 41, "Item",ExpressionUUID->"8871b1ba-b738-4e4b-90ea-9f3f9ce34588"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

